openapi: 3.0.1
info:
  title: Spatial Analyst Service OpenAPI document
  description: "This is an OpenAPI document for Spatial Analyst Service of SuperMap\
    \ Software Co., Ltd"
  termsOfService: http://www.supermap.com
  contact:
    email: support@supermap.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: "1.0"
servers:
- url: http://www.supermapol.com/realspace/services/spatialAnalysis-dxyx_ios/restjsr
paths:
  /spatialanalyst/geometry/thiessenpolygon:
    get:
      operationId: getPostForm
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                type: object
            application/jsonp:
              schema:
                type: object
            text/plain:
              schema:
                type: object
            application/xml:
              schema:
                type: object
            application/json:
              schema:
                type: object
            application/fgb:
              schema:
                type: object
    post:
      operationId: createThiessenPolygon
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ProximityAnalystPostParameter'
      responses:
        default:
          description: default response
          content:
            text/html: {}
            application/jsonp: {}
            text/plain: {}
            application/xml: {}
            application/json: {}
            application/fgb: {}
  /spatialanalyst/geometry/thiessenpolygon/{id}:
    get:
      operationId: getResult
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                $ref: '#/components/schemas/ProximityAnalystResult'
            application/jsonp:
              schema:
                $ref: '#/components/schemas/ProximityAnalystResult'
            text/plain:
              schema:
                $ref: '#/components/schemas/ProximityAnalystResult'
            application/xml:
              schema:
                $ref: '#/components/schemas/ProximityAnalystResult'
            application/json:
              schema:
                $ref: '#/components/schemas/ProximityAnalystResult'
            application/fgb:
              schema:
                $ref: '#/components/schemas/ProximityAnalystResult'
  /spatialanalyst/geometry/batchanalyst:
    post:
      operationId: batchAnalyst
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              type: string
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                type: object
            application/jsonp:
              schema:
                type: object
            text/plain:
              schema:
                type: object
            application/xml:
              schema:
                type: object
            application/json:
              schema:
                type: object
  /spatialanalyst/geometry/3d/booleanoperator:
    get:
      operationId: getPostForm_1
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: geometryBooleanOperator3D
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/GeometryBooleanOperator3DPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/3d/booleanoperator/{id}:
    get:
      operationId: getResult_1
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/GeometrySpatialAnalyst3DResult'
  /spatialanalyst/geometry/buffer:
    get:
      operationId: getPostForm_2
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                type: object
            application/jsonp:
              schema:
                type: object
            text/plain:
              schema:
                type: object
            application/xml:
              schema:
                type: object
            application/json:
              schema:
                type: object
            application/fgb:
              schema:
                type: object
    post:
      operationId: createBuffer
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/GeometryBufferPostParameter'
      responses:
        default:
          description: default response
          content:
            text/html: {}
            application/jsonp: {}
            text/plain: {}
            application/xml: {}
            application/json: {}
            application/fgb: {}
  /spatialanalyst/geometry/3d/buffer:
    get:
      operationId: getPostForm_3
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: geometryBuffer3D
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/GeometryBuffer3DPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/3d/buffer/{id}:
    get:
      operationId: getResult_2
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/GeometrySpatialAnalyst3DResult'
  /spatialanalyst/geometry/calculatemeasure:
    get:
      operationId: getPostForm_4
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: calculateMeasure
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/CalculateMeasurePostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/calculatemeasure/{id}:
    get:
      operationId: getResult_3
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
  /spatialanalyst/geometry/mindistance:
    get:
      operationId: getPostForm_5
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: computeMinDistance
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ProximityAnalystMinDistancePostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/mindistance/{id}:
    get:
      operationId: getResult_4
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ComputeDistanceResult'
  /spatialanalyst/geometry/3d/convexhull:
    get:
      operationId: getPostForm_6
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: geometryConvexHull
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/GeometryConvexHullPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/3d/convexhull/{id}:
    get:
      operationId: getResult_5
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/GeometrySpatialAnalyst3DResult'
  /spatialanalyst/geometry/3d/envelop:
    get:
      operationId: getPostForm_7
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: geometry3DEnvelop
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/Geometry3DEnvelopPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/3d/envelop/{id}:
    get:
      operationId: getResult_6
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/GeometrySpatialAnalyst3DResult'
  /spatialanalyst/geometry/3d/extractvector3d:
    get:
      operationId: getPostForm_8
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: geometryExtractVector3D
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/GeometryExtractVector3DPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/3d/extractvector3d/{id}:
    get:
      operationId: getResult_7
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/GeometrySpatialAnalyst3DResult'
  /spatialanalyst/geometry/3d/info:
    get:
      operationId: getPostForm_9
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: geometry3DInfo
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/Geometry3DInfoPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/3d/info/{id}:
    get:
      operationId: getResult_8
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/GeometrySpatialAnalyst3DResult'
  /spatialanalyst/geometry:
    get:
      operationId: getChildResources
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
            application/jsonp:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
            application/xml:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
  /spatialanalyst/geometry/interpolation/idw:
    get:
      operationId: getPostForm_10
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
                additionalProperties:
                  type: object
    post:
      operationId: interpolate
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/InterpolationIDWPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/interpolation/idw/{id}:
    get:
      operationId: getResult_9
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/geometry/interpolation:
    get:
      operationId: getChildResources_1
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
  /spatialanalyst/geometry/interpolation/density:
    get:
      operationId: getPostForm_11
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
                additionalProperties:
                  type: object
    post:
      operationId: interpolate_1
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/InterpolationDensityPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/interpolation/density/{id}:
    get:
      operationId: getResult_10
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/geometry/interpolation/kriging:
    get:
      operationId: getPostForm_12
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
                additionalProperties:
                  type: object
    post:
      operationId: interpolate_2
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/InterpolationKrigingPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/interpolation/kriging/{id}:
    get:
      operationId: getResult_11
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/geometry/interpolation/rbf:
    get:
      operationId: getPostForm_13
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
                additionalProperties:
                  type: object
    post:
      operationId: interpolate_3
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/InterpolationRBFPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/interpolation/rbf/{id}:
    get:
      operationId: getResult_12
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/geometry/isoline:
    get:
      operationId: getPostForm_14
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                type: object
            application/jsonp:
              schema:
                type: object
            text/plain:
              schema:
                type: object
            application/xml:
              schema:
                type: object
            application/json:
              schema:
                type: object
            application/fgb:
              schema:
                type: object
    post:
      operationId: geometryExtract
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/GeometryExtractPostParameter'
      responses:
        default:
          description: default response
          content:
            text/html: {}
            application/jsonp: {}
            text/plain: {}
            application/xml: {}
            application/json: {}
            application/fgb: {}
  /spatialanalyst/geometry/isoregion:
    get:
      operationId: getPostForm_15
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                type: object
            application/jsonp:
              schema:
                type: object
            text/plain:
              schema:
                type: object
            application/xml:
              schema:
                type: object
            application/json:
              schema:
                type: object
            application/fgb:
              schema:
                type: object
    post:
      operationId: geometryExtract_1
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/GeometryExtractPostParameter'
      responses:
        default:
          description: default response
          content:
            text/html: {}
            application/jsonp: {}
            text/plain: {}
            application/xml: {}
            application/json: {}
            application/fgb: {}
  /spatialanalyst/geometry/routelocator:
    get:
      operationId: getPostForm_16
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: locate
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/RouteLocatorPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/3d/loft:
    get:
      operationId: getPostForm_17
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: geometryLoft
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/GeometryLoftPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/3d/loft/{id}:
    get:
      operationId: getResult_13
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/GeometrySpatialAnalyst3DResult'
  /spatialanalyst/geometry/overlay/batch:
    post:
      operationId: batchAnalystFeature
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/BatchGeometryOverlayPostParameter'
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                type: object
            application/jsonp:
              schema:
                type: object
            text/plain:
              schema:
                type: object
            application/xml:
              schema:
                type: object
            application/json:
              schema:
                type: object
            application/fgb:
              schema:
                type: object
  /spatialanalyst/geometry/overlay:
    get:
      operationId: getPostForm_18
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                type: object
            application/jsonp:
              schema:
                type: object
            text/plain:
              schema:
                type: object
            application/xml:
              schema:
                type: object
            application/json:
              schema:
                type: object
            application/fgb:
              schema:
                type: object
    post:
      operationId: overlay
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/GeometryOverlayPostParameter'
      responses:
        default:
          description: default response
          content:
            text/html: {}
            application/jsonp: {}
            text/plain: {}
            application/xml: {}
            application/json: {}
            application/fgb: {}
  /spatialanalyst/geometry/3d/skylinesectorbody:
    get:
      operationId: getPostForm_19
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: geometrySkylineSectorBody
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/GeometrySkylineSectorBodyPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/3d/skylinesectorbody/{id}:
    get:
      operationId: getResult_14
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/GeometrySpatialAnalyst3DResult'
  /spatialanalyst/geometry/3d/relativeposition3d:
    get:
      operationId: getPostForm_20
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: getRelativePosition3D
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/GeometrySpatialQuery3DPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/3d/relativeposition3d/{id}:
    get:
      operationId: getResult_15
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SpatialQuery3DResult'
  /spatialanalyst/geometry/3d/viewshedbody:
    get:
      operationId: getPostForm_21
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: geometryViewShedBody
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/GeometryViewShedBodyPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/geometry/3d/viewshedbody/{id}:
    get:
      operationId: getResult_16
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/GeometrySpatialAnalyst3DResult'
  /spatialanalyst:
    get:
      operationId: getChildResources_2
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
            application/jsonp:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
            application/xml:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
  /:
    get:
      operationId: getContent
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                type: object
            application/jsonp:
              schema:
                type: object
            text/plain:
              schema:
                type: object
            application/xml:
              schema:
                type: object
            application/json:
              schema:
                type: object
  /spatialanalyst/datasets/{dataset}/buffer:
    get:
      operationId: getPostForm_22
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                type: object
            application/jsonp:
              schema:
                type: object
            text/plain:
              schema:
                type: object
            application/xml:
              schema:
                type: object
            application/json:
              schema:
                type: object
            application/fgb:
              schema:
                type: object
    post:
      operationId: createBuffer_1
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/DatasetBufferPostParameter'
      responses:
        default:
          description: default response
          content:
            text/html: {}
            application/jsonp: {}
            text/plain: {}
            application/xml: {}
            application/json: {}
            application/fgb: {}
  /spatialanalyst/datasets/{dataset}/buffer/{id}:
    get:
      operationId: getResult_17
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            application/jsonp:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            text/plain:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            application/xml:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            application/fgb:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/buffer3d:
    get:
      operationId: getPostForm_23
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: buffer3D
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/DatasetBuffer3DPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/buffer3d/{id}:
    get:
      operationId: getResult_18
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SpatialAnalyst3DResult'
  /spatialanalyst/datasets/{dataset}/mindistance:
    get:
      operationId: getPostForm_24
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: computeMinDistance_1
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ProximityAnalystMinDistancePostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/mindistance/{id}:
    get:
      operationId: getResult_19
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ComputeDistanceResult'
  /spatialanalyst/datasets/{dataset}/thiessenpolygon:
    get:
      operationId: getPostForm_25
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: createThiessenPolygon_1
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ProximityAnalystPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/thiessenpolygon/{id}:
    get:
      operationId: getResult_20
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                $ref: '#/components/schemas/ProximityAnalystResult'
            application/jsonp:
              schema:
                $ref: '#/components/schemas/ProximityAnalystResult'
            text/plain:
              schema:
                $ref: '#/components/schemas/ProximityAnalystResult'
            application/xml:
              schema:
                $ref: '#/components/schemas/ProximityAnalystResult'
            application/json:
              schema:
                $ref: '#/components/schemas/ProximityAnalystResult'
            application/fgb:
              schema:
                $ref: '#/components/schemas/ProximityAnalystResult'
  /spatialanalyst/datasets/{dataset}/densityanalyst:
    get:
      operationId: getChildResources_3
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
  /spatialanalyst/datasets/{dataset}/densityanalyst/kernel:
    get:
      operationId: getPostForm_26
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
                additionalProperties:
                  type: object
    post:
      operationId: kernelDensityAnalyst
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/KernelDensityAnalystPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/densityanalyst/kernel/{id}:
    get:
      operationId: getResult_21
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/distance/costPathLine:
    get:
      operationId: getResourceContent
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: costPathLine
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/CostPathLinePostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/distance/costPathLine/{id}:
    get:
      operationId: getResult_22
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CostPathLineResult'
  /spatialanalyst/datasets/{dataset}/distance:
    get:
      operationId: getChildResources_4
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
  /spatialanalyst/datasets/{dataset}/mathanalyst:
    get:
      operationId: getResourceContent_1
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: executeExpression
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/GridExpressionPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/mathanalyst/{id}:
    get:
      operationId: getResult_23
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/border:
    get:
      operationId: getPostForm_27
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: extractBorder
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/DatasetBorderPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/border/{id}:
    get:
      operationId: getResult_24
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SpatialAnalyst3DResult'
  /spatialanalyst/datasets/{dataset}/extractvector3d:
    get:
      operationId: getPostForm_28
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: extractVector3D
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/DatasetExtractVector3DPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/extractvector3d/{id}:
    get:
      operationId: getResult_25
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SpatialAnalyst3DResult'
  /spatialanalyst/datasets/{dataset}/geobody:
    get:
      operationId: getPostForm_29
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: buildGeoBody
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/DatasetSpatialAnalyst3DPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/geobody/{id}:
    get:
      operationId: getResult_26
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SpatialAnalyst3DResult'
  /spatialanalyst/datasets/{dataset}/georelation:
    get:
      operationId: getPostForm_30
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: geoRelation
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/GeoRelationParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/georelation/{id}:
    get:
      operationId: getResult_27
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GeoRelationResult'
  /spatialanalyst/datasets/{dataset}:
    get:
      operationId: getContent_1
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                $ref: '#/components/schemas/DatasetResourceContent'
            application/jsonp:
              schema:
                $ref: '#/components/schemas/DatasetResourceContent'
            text/plain:
              schema:
                $ref: '#/components/schemas/DatasetResourceContent'
            application/xml:
              schema:
                $ref: '#/components/schemas/DatasetResourceContent'
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetResourceContent'
  /spatialanalyst/datasets/{dataset}/interpolation:
    get:
      operationId: getChildResources_5
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
  /spatialanalyst/datasets/{dataset}/interpolation/cressman:
    get:
      operationId: getPostForm_31
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
                additionalProperties:
                  type: object
    post:
      operationId: interpolate_4
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/InterpolationCressmanPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/interpolation/cressman/{id}:
    get:
      operationId: getResult_28
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/interpolation/density:
    get:
      operationId: getPostForm_32
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
                additionalProperties:
                  type: object
    post:
      operationId: interpolate_5
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/InterpolationDensityPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/interpolation/density/{id}:
    get:
      operationId: getResult_29
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/interpolation/idw:
    get:
      operationId: getPostForm_33
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
                additionalProperties:
                  type: object
    post:
      operationId: interpolate_6
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/InterpolationIDWPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/interpolation/idw/{id}:
    get:
      operationId: getResult_30
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/interpolation/kriging:
    get:
      operationId: getPostForm_34
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
                additionalProperties:
                  type: object
    post:
      operationId: interpolate_7
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/InterpolationKrigingPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/interpolation/kriging/{id}:
    get:
      operationId: getResult_31
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/interpolation/rbf:
    get:
      operationId: getPostForm_35
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
                additionalProperties:
                  type: object
    post:
      operationId: interpolate_8
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/InterpolationRBFPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/interpolation/rbf/{id}:
    get:
      operationId: getResult_32
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/isoline:
    get:
      operationId: getPostForm_36
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                type: object
            application/jsonp:
              schema:
                type: object
            text/plain:
              schema:
                type: object
            application/xml:
              schema:
                type: object
            application/json:
              schema:
                type: object
            application/fgb:
              schema:
                type: object
    post:
      operationId: extract
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/DatasetExtractPostParameter'
      responses:
        default:
          description: default response
          content:
            text/html: {}
            application/jsonp: {}
            text/plain: {}
            application/xml: {}
            application/json: {}
            application/fgb: {}
  /spatialanalyst/datasets/{dataset}/isoline/{id}:
    get:
      operationId: getResult_33
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            application/jsonp:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            text/plain:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            application/xml:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            application/fgb:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/isoline/{zValueField}/{resolution}:
    post:
      operationId: isoline
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/PointDatasetExtractPostParameter'
      responses:
        default:
          description: default response
          content:
            text/html: {}
            application/jsonp: {}
            text/plain: {}
            application/xml: {}
            application/json: {}
            application/fgb: {}
  /spatialanalyst/datasets/{dataset}/isoregion:
    get:
      operationId: getPostForm_37
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                type: object
            application/jsonp:
              schema:
                type: object
            text/plain:
              schema:
                type: object
            application/xml:
              schema:
                type: object
            application/json:
              schema:
                type: object
            application/fgb:
              schema:
                type: object
    post:
      operationId: extract_1
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/DatasetExtractPostParameter'
      responses:
        default:
          description: default response
          content:
            text/html: {}
            application/jsonp: {}
            text/plain: {}
            application/xml: {}
            application/json: {}
            application/fgb: {}
  /spatialanalyst/datasets/{dataset}/isoregion/{id}:
    get:
      operationId: getResult_34
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            application/jsonp:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            text/plain:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            application/xml:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            application/fgb:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/isoregion/{zValueField}/{resolution}:
    post:
      operationId: isoline_1
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/PointDatasetExtractPostParameter'
      responses:
        default:
          description: default response
          content:
            text/html: {}
            application/jsonp: {}
            text/plain: {}
            application/xml: {}
            application/json: {}
            application/fgb: {}
  /spatialanalyst/datasets/{dataset}/linearreferencing/generatespatialdata:
    get:
      operationId: getPostForm_38
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
                additionalProperties:
                  type: object
    post:
      operationId: generateSpatialData
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/GenerateSpatialDataPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/linearreferencing/generatespatialdata/{id}:
    get:
      operationId: getResult_35
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/linearreferencing:
    get:
      operationId: getChildResources_6
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
  /spatialanalyst/datasets/{dataset}/linearreferencing/routelocator:
    get:
      operationId: getPostForm_39
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: locate_1
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/RouteLocatorPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/clip:
    get:
      operationId: getPostForm_40
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: modelClip
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/DatasetClipPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/clip/{id}:
    get:
      operationId: getResult_36
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SpatialAnalyst3DResult'
  /spatialanalyst/datasets/{dataset}/overlay:
    get:
      operationId: getPostForm_41
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                type: object
            application/jsonp:
              schema:
                type: object
            text/plain:
              schema:
                type: object
            application/xml:
              schema:
                type: object
            application/json:
              schema:
                type: object
            application/fgb:
              schema:
                type: object
    post:
      operationId: overlay_1
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/DatasetOverlayPostParameter'
      responses:
        default:
          description: default response
          content:
            text/html: {}
            application/jsonp: {}
            text/plain: {}
            application/xml: {}
            application/json: {}
            application/fgb: {}
  /spatialanalyst/datasets/{dataset}/overlay/{id}:
    get:
      operationId: getResult_37
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            application/jsonp:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            text/plain:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            application/xml:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
            application/fgb:
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/physiognomy/extractRidgeLine:
    get:
      operationId: getResourceContent_2
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: extractRidgeLine
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/PhysiognomyPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/physiognomy/extractRidgeLine/{id}:
    get:
      operationId: getResult_38
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/physiognomy/extractValleyLine:
    get:
      operationId: getResourceContent_3
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: extractValleyLine
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/PhysiognomyPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/physiognomy/extractValleyLine/{id}:
    get:
      operationId: getResult_39
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/physiognomy:
    get:
      operationId: getChildResources_7
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
  /spatialanalyst/datasets/{dataset}/planeprojection:
    get:
      operationId: getPostForm_42
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: planeProjection
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/DatasetSpatialAnalyst3DPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/planeprojection/{id}:
    get:
      operationId: getResult_40
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SpatialAnalyst3DResult'
  /spatialanalyst/datasets/{dataset}/relativeposition3d:
    get:
      operationId: getPostForm_43
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: getRelativePosition3D_1
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/DatasetSpatialQuery3DPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/relativeposition3d/{id}:
    get:
      operationId: getResult_41
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SpatialQuery3DResult'
  /spatialanalyst/datasets/{dataset}/section:
    get:
      operationId: getPostForm_44
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: section
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/DatasetSpatialAnalyst3DPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/section/{id}:
    get:
      operationId: getResult_42
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SpatialAnalyst3DResult'
  /spatialanalyst/datasets/{dataset}/shadowvolume:
    get:
      operationId: getPostForm_45
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: shadowVolume
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/DatasetSpatialAnalyst3DPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/shadowvolume/{id}:
    get:
      operationId: getResult_43
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SpatialAnalyst3DResult'
  /spatialanalyst/datasets/{dataset}/spatialquery3d:
    get:
      operationId: getPostForm_46
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: spatialQuery3D
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/DatasetSpatialQuery3DPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/spatialquery3d/{id}:
    get:
      operationId: getResult_44
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SpatialQuery3DResult'
  /spatialanalyst/datasets/{dataset}/sunlight:
    get:
      operationId: getPostForm_47
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: sunlightAnalysis
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/DatasetSpatialAnalyst3DPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/sunlight/{id}:
    get:
      operationId: getResult_45
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SpatialAnalyst3DResult'
  /spatialanalyst/datasets/{dataset}/terraincalculation/aspect:
    get:
      operationId: getResourceContent_4
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: calculateSlope
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/TerrainAspectPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/terraincalculation/aspect/{id}:
    get:
      operationId: getResult_46
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/terraincalculation/plumbprofile:
    get:
      operationId: getResourceContent_5
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: plumbProfile
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/PlumbProfilePostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/terraincalculation/plumbprofile/{id}:
    get:
      operationId: getResult_47
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/terraincalculation/profile:
    get:
      operationId: getResourceContent_6
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: profile
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ProfilePostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/terraincalculation/profile/{id}:
    get:
      operationId: getResult_48
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProfileResult'
  /spatialanalyst/datasets/{dataset}/terraincalculation/area:
    get:
      operationId: computeSurfaceArea
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: number
                format: double
  /spatialanalyst/datasets/{dataset}/terraincalculation/distance:
    get:
      operationId: computeSurfaceDistance
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: number
                format: double
  /spatialanalyst/datasets/{dataset}/terraincalculation/curvature:
    get:
      operationId: getResourceContent_7
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: calculateCurvature
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/TerrainCurvaturePostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/terraincalculation/curvature/{id}:
    get:
      operationId: getResult_49
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
                additionalProperties:
                  $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/terraincalculation/cutfill:
    get:
      operationId: getResourceContent_8
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: cutFill
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/CutFillPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/terraincalculation/cutfill/{id}:
    get:
      operationId: getResult_50
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CutFillResult'
  /spatialanalyst/datasets/{dataset}/terraincalculation/flood:
    get:
      operationId: getResourceContent_9
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: flood
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/FloodPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/terraincalculation/flood/{id}:
    get:
      operationId: getResult_51
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/GeometrySpatialAnalystResult'
  /spatialanalyst/datasets/{dataset}/terraincalculation:
    get:
      operationId: getChildResources_8
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChildResourceInfo'
  /spatialanalyst/datasets/{dataset}/terraincalculation/recutfill:
    get:
      operationId: getResourceContent_10
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: cutFill_1
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ReverseCutFillPostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/terraincalculation/recutfill/{id}:
    get:
      operationId: getResult_52
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
  /spatialanalyst/datasets/{dataset}/terraincalculation/slope:
    get:
      operationId: getResourceContent_11
      parameters:
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                type: object
    post:
      operationId: calculateSlope_1
      parameters:
      - name: asynchronousReturn
        in: query
        description: 是否异步
        schema:
          type: boolean
          default: "false"
      - name: returnContent
        in: query
        description: 是否直接返回资源
        schema:
          type: boolean
          default: "false"
      - name: holdTime
        in: query
        description: 资源存在时间
        schema:
          type: number
          default: 60 * 24 * 7
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/TerrainSlopePostParameter'
      responses:
        default:
          description: default response
          content:
            '*/*': {}
  /spatialanalyst/datasets/{dataset}/terraincalculation/slope/{id}:
    get:
      operationId: getResult_53
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: dataset
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: default response
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DatasetSpatialAnalystResult'
  /spatialanalyst/datasets:
    get:
      operationId: getDatasets
      responses:
        default:
          description: default response
          content:
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DatasetResourceContent'
            application/jsonp:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DatasetResourceContent'
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DatasetResourceContent'
            application/xml:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DatasetResourceContent'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DatasetResourceContent'
components:
  schemas:
    Color:
      type: object
      properties:
        red:
          type: integer
          format: int32
        green:
          type: integer
          format: int32
        blue:
          type: integer
          format: int32
        alpha:
          type: integer
          format: int32
    CoordSys:
      type: object
      properties:
        unit:
          type: string
          enum:
          - METER
          - KILOMETER
          - MILE
          - YARD
          - DEGREE
          - MILIMETER
          - CENTIMETER
          - INCH
          - DECIMETER
          - FOOT
          - SECOND
          - MINUTE
          - RADIAN
        datum:
          $ref: '#/components/schemas/Datum'
        name:
          type: string
        spatialRefType:
          type: string
          enum:
          - SPATIALREF_EARTH_LONGITUDE_LATITUDE
          - SPATIALREF_EARTH_PROJECTION
          - SPATIALREF_NONEARTH
        type:
          type: string
          enum:
          - GCS_ADINDAN
          - GCS_AFGOOYE
          - GCS_AGADEZ
          - GCS_AGD_1966
          - GCS_AGD_1984
          - GCS_AIN_EL_ABD_1970
          - GCS_AIRY_1830
          - GCS_AIRY_MOD
          - GCS_ALASKAN_ISLANDS
          - GCS_AMERSFOORT
          - GCS_ANNA_1_1965
          - GCS_ANTIGUA_ISLAND_1943
          - GCS_ARATU
          - GCS_ARC_1950
          - GCS_ARC_1960
          - GCS_ASCENSION_ISLAND_1958
          - GCS_ASTRO_1952
          - GCS_ATF_PARIS
          - GCS_ATS_1977
          - GCS_AUSTRALIAN
          - GCS_AYABELLE
          - GCS_BARBADOS
          - GCS_BATAVIA
          - GCS_BATAVIA_JAKARTA
          - GCS_BEACON_E_1945
          - GCS_BEDUARAM
          - GCS_BEIJING_1954
          - GCS_BELGE_1950
          - GCS_BELGE_1950_BRUSSELS
          - GCS_BELGE_1972
          - GCS_BELLEVUE
          - GCS_BERMUDA_1957
          - GCS_BERN_1898
          - GCS_BERN_1898_BERN
          - GCS_BERN_1938
          - GCS_BESSEL_1841
          - GCS_BESSEL_MOD
          - GCS_BESSEL_NAMIBIA
          - GCS_BISSAU
          - GCS_BOGOTA
          - GCS_BOGOTA_BOGOTA
          - GCS_BUKIT_RIMPAH
          - GCS_CACANAVERAL
          - GCS_CAMACUPA
          - GCS_CAMP_AREA
          - GCS_CAMPO_INCHAUSPE
          - GCS_CANTON_1966
          - GCS_CAPE
          - GCS_CARTHAGE
          - GCS_CARTHAGE_DEGREE
          - GCS_CHATHAM_ISLAND_1971
          - GCS_CHINA_2000
          - GCS_CHUA
          - GCS_CLARKE_1858
          - GCS_CLARKE_1866
          - GCS_CLARKE_1866_MICH
          - GCS_CLARKE_1880
          - GCS_CLARKE_1880_ARC
          - GCS_CLARKE_1880_BENOIT
          - GCS_CLARKE_1880_IGN
          - GCS_CLARKE_1880_RGS
          - GCS_CLARKE_1880_SGA
          - GCS_CONAKRY_1905
          - GCS_CORREGO_ALEGRE
          - GCS_COTE_D_IVOIRE
          - GCS_DABOLA
          - GCS_DATUM_73
          - GCS_DEALUL_PISCULUI_1933
          - GCS_DEALUL_PISCULUI_1970
          - GCS_DECEPTION_ISLAND
          - GCS_DEIR_EZ_ZOR
          - GCS_DHDNB
          - GCS_DOS_1968
          - GCS_DOS_71_4
          - GCS_DOUALA
          - GCS_EASTER_ISLAND_1967
          - GCS_ED_1950
          - GCS_ED_1987
          - GCS_EGYPT_1907
          - GCS_ETRS_1989
          - GCS_EUROPEAN_1979
          - GCS_EVEREST_1830
          - GCS_EVEREST_BANGLADESH
          - GCS_EVEREST_DEF_1967
          - GCS_EVEREST_DEF_1975
          - GCS_EVEREST_INDIA_NEPAL
          - GCS_EVEREST_MOD
          - GCS_EVEREST_MOD_1969
          - GCS_FAHUD
          - GCS_FISCHER_1960
          - GCS_FISCHER_1968
          - GCS_FISCHER_MOD
          - GCS_FORT_THOMAS_1955
          - GCS_GAN_1970
          - GCS_GANDAJIKA_1970
          - GCS_GAROUA
          - GCS_GDA_1994
          - GCS_GEM_10C
          - GCS_GGRS_1987
          - GCS_GRACIOSA_1948
          - GCS_GREEK
          - GCS_GREEK_ATHENS
          - GCS_GRS_1967
          - GCS_GRS_1980
          - GCS_GUAM_1963
          - GCS_GUNUNG_SEGARA
          - GCS_GUX_1
          - GCS_GUYANE_FRANCAISE
          - GCS_HELMERT_1906
          - GCS_HERAT_NORTH
          - GCS_HITO_XVIII_1963
          - GCS_HJORSEY_1955
          - GCS_HONG_KONG_1963
          - GCS_HOUGH_1960
          - GCS_HU_TZU_SHAN
          - GCS_HUNGARIAN_1972
          - GCS_INDIAN_1954
          - GCS_INDIAN_1960
          - GCS_INDIAN_1975
          - GCS_INDONESIAN
          - GCS_INDONESIAN_1974
          - GCS_INTERNATIONAL_1924
          - GCS_INTERNATIONAL_1967
          - GCS_ISTS_061_1968
          - GCS_ISTS_073_1969
          - GCS_JAMAICA_1875
          - GCS_JAMAICA_1969
          - GCS_JAPAN_2000
          - GCS_JOHNSTON_ISLAND_1961
          - GCS_KALIANPUR
          - GCS_KANDAWALA
          - GCS_KERGUELEN_ISLAND_1949
          - GCS_KERTAU
          - GCS_KKJ
          - GCS_KOC_
          - GCS_KRASOVSKY_1940
          - GCS_KUDAMS
          - GCS_KUSAIE_1951
          - GCS_LA_CANOA
          - GCS_LAKE
          - GCS_LC5_1961
          - GCS_LEIGON
          - GCS_LIBERIA_1964
          - GCS_LISBON
          - GCS_LISBON_LISBON
          - GCS_LOMA_QUINTANA
          - GCS_LOME
          - GCS_LUZON_1911
          - GCS_MAHE_1971
          - GCS_MAKASSAR
          - GCS_MAKASSAR_JAKARTA
          - GCS_MALONGO_1987
          - GCS_MANOCA
          - GCS_MASSAWA
          - GCS_MERCHICH
          - GCS_MGI_
          - GCS_MGI_FERRO
          - GCS_MHAST
          - GCS_MIDWAY_1961
          - GCS_MINNA
          - GCS_MONTE_MARIO
          - GCS_MONTE_MARIO_ROME
          - GCS_MONTSERRAT_ISLAND_1958
          - GCS_MPORALOKO
          - GCS_NAD_1927
          - GCS_NAD_1983
          - GCS_NAD_MICH
          - GCS_NAHRWAN_1967
          - GCS_NAPARIMA_1972
          - GCS_NDG_PARIS
          - GCS_NGN
          - GCS_NGO_1948_
          - GCS_NORD_SAHARA_1959
          - GCS_NSWC_9Z_2_
          - GCS_NTF_
          - GCS_NTF_PARIS
          - GCS_NWL_9D
          - GCS_NZGD_1949
          - GCS_OBSERV_METEOR_1939
          - GCS_OLD_HAWAIIAN
          - GCS_OMAN
          - GCS_OS_SN_1980
          - GCS_OSGB_1936
          - GCS_OSGB_1970_SN
          - GCS_OSU_86F
          - GCS_OSU_91A
          - GCS_PADANG_1884
          - GCS_PADANG_1884_JAKARTA
          - GCS_PALESTINE_1923
          - GCS_PICO_DE_LAS_NIEVES
          - GCS_PITCAIRN_1967
          - GCS_PLESSIS_1817
          - GCS_POINT58
          - GCS_POINTE_NOIRE
          - GCS_PORTO_SANTO_1936
          - GCS_PSAD_1956
          - GCS_PUERTO_RICO
          - GCS_PULKOVO_1942
          - GCS_PULKOVO_1995
          - GCS_QATAR
          - GCS_QATAR_1948
          - GCS_QORNOQ
          - GCS_REUNION
          - GCS_RT38
          - GCS_RT38_STOCKHOLM
          - GCS_S_ASIA_SINGAPORE
          - GCS_S_JTSK
          - GCS_S42_HUNGARY
          - GCS_SAD_1969
          - GCS_SAMOA_1962
          - GCS_SANTO_DOS_1965
          - GCS_SAO_BRAZ
          - GCS_SAPPER_HILL_1943
          - GCS_SCHWARZECK
          - GCS_SEGORA
          - GCS_SELVAGEM_GRANDE_1938
          - GCS_SERINDUNG
          - GCS_SPHERE
          - GCS_SPHERE_AI
          - GCS_STRUVE_1860
          - GCS_SUDAN
          - GCS_TANANARIVE_1925
          - GCS_TANANARIVE_1925_PARIS
          - GCS_TERN_ISLAND_1961
          - GCS_TIMBALAI_1948
          - GCS_TM65
          - GCS_TM75
          - GCS_TOKYO
          - GCS_TRINIDAD_1903
          - GCS_TRISTAN_1968
          - GCS_TRUCIAL_COAST_1948
          - GCS_USER_DEFINE
          - GCS_VITI_LEVU_1916
          - GCS_VOIROL_1875
          - GCS_VOIROL_1875_PARIS
          - GCS_VOIROL_UNIFIE_1960
          - GCS_VOIROL_UNIFIE_1960_PARIS
          - GCS_WAKE_ENIWETOK_1960
          - GCS_WAKE_ISLAND_1952
          - GCS_WALBECK
          - GCS_WAR_OFFICE
          - GCS_WGS_1966
          - GCS_WGS_1972
          - GCS_WGS_1972_BE
          - GCS_WGS_1984
          - GCS_XIAN_1980
          - GCS_YACARE
          - GCS_YOFF
          - GCS_ZANDERIJ
          - GCS_MOON_2000
          - GCS_POPULAR_VISUALISATION_CRS
          - GCS_MAGNA_SIRGAS
          - GCS_MAGNA_SIRGAS_2018
        primeMeridian:
          $ref: '#/components/schemas/PrimeMeridian'
    DatasourceConnectionInfo:
      type: object
      properties:
        alias:
          type: string
        dataBase:
          type: string
        driver:
          type: string
        engineType:
          type: string
          enum:
          - IMAGEPLUGINS
          - OGC
          - ORACLEPLUS
          - SDBPLUS
          - SQLPLUS
          - UDB
          - UDBX
          - ES
          - GOOGLEMAPS
          - SUPERMAPCLOUD
          - POSTGRESQL
          - POSTGIS
          - KINGBASE
          - DB2
          - NetCDF
          - ISERVERREST
          - MAPWORLD
          - ORACLESPATIAL
          - MYSQL
          - MONGODB
          - SHAPEFILE
          - GEOTRELLISFILE
          - GEOTRELLISHDFS
          - DSF
          - BLOCKCHAIN
          - DM
          - HIGHGODB
          - VECTORFILE
        password:
          type: string
        server:
          type: string
        user:
          type: string
        connect:
          type: boolean
        exclusive:
          type: boolean
        openLinkTable:
          type: boolean
        readOnly:
          type: boolean
    Datum:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
          enum:
          - DATUM_ADINDAN
          - DATUM_AFGOOYE
          - DATUM_AGADEZ
          - DATUM_AGD_1966
          - DATUM_AGD_1984
          - DATUM_AIN_EL_ABD_1970
          - DATUM_AIRY_1830
          - DATUM_AIRY_MOD
          - DATUM_ALASKAN_ISLANDS
          - DATUM_AMERSFOORT
          - DATUM_ANNA_1_1965
          - DATUM_ANTIGUA_ISLAND_1943
          - DATUM_ARATU
          - DATUM_ARC_1950
          - DATUM_ARC_1960
          - DATUM_ASCENSION_ISLAND_1958
          - DATUM_ASTRO_1952
          - DATUM_ATF
          - DATUM_ATS_1977
          - DATUM_AUSTRALIAN
          - DATUM_AYABELLE
          - DATUM_BARBADOS
          - DATUM_BATAVIA
          - DATUM_BEACON_E_1945
          - DATUM_BEDUARAM
          - DATUM_BEIJING_1954
          - DATUM_BELGE_1950
          - DATUM_BELGE_1972
          - DATUM_BELLEVUE
          - DATUM_BERMUDA_1957
          - DATUM_BERN_1898
          - DATUM_BERN_1938
          - DATUM_BESSEL_1841
          - DATUM_BESSEL_MOD
          - DATUM_BESSEL_NAMIBIA
          - DATUM_BISSAU
          - DATUM_BOGOTA
          - DATUM_BUKIT_RIMPAH
          - DATUM_CACANAVERAL
          - DATUM_CAMACUPA
          - DATUM_CAMP_AREA
          - DATUM_CAMPO_INCHAUSPE
          - DATUM_CANTON_1966
          - DATUM_CAPE
          - DATUM_CARTHAGE
          - DATUM_CHATHAM_ISLAND_1971
          - DATUM_CHINA_2000
          - DATUM_CHUA
          - DATUM_CLARKE_1858
          - DATUM_CLARKE_1866
          - DATUM_CLARKE_1866_MICH
          - DATUM_CLARKE_1880
          - DATUM_CLARKE_1880_ARC
          - DATUM_CLARKE_1880_BENOIT
          - DATUM_CLARKE_1880_IGN
          - DATUM_CLARKE_1880_RGS
          - DATUM_CLARKE_1880_SGA
          - DATUM_CONAKRY_1905
          - DATUM_CORREGO_ALEGRE
          - DATUM_COTE_D_IVOIRE
          - DATUM_DABOLA
          - DATUM_DATUM_73
          - DATUM_DEALUL_PISCULUI_1933
          - DATUM_DEALUL_PISCULUI_1970
          - DATUM_DECEPTION_ISLAND
          - DATUM_DEIR_EZ_ZOR
          - DATUM_DHDN
          - DATUM_DOS_71_4
          - DATUM_DOUALA
          - DATUM_EASTER_ISLAND_1967
          - DATUM_ED_1950
          - DATUM_ED_1987
          - DATUM_EGYPT_1907
          - DATUM_ETRS_1989
          - DATUM_EUROPEAN_1979
          - DATUM_EVEREST_1830
          - DATUM_EVEREST_BANGLADESH
          - DATUM_EVEREST_DEF_1967
          - DATUM_EVEREST_DEF_1975
          - DATUM_EVEREST_INDIA_NEPAL
          - DATUM_EVEREST_MOD
          - DATUM_EVEREST_MOD_1969
          - DATUM_FAHUD
          - DATUM_FISCHER_1960
          - DATUM_FISCHER_1968
          - DATUM_FISCHER_MOD
          - DATUM_FORT_THOMAS_1955
          - DATUM_GAN_1970
          - DATUM_GANDAJIKA_1970
          - DATUM_GAROUA
          - DATUM_GDA_1994
          - DATUM_GEM_10C
          - DATUM_GGRS_1987
          - DATUM_GRACIOSA_1948
          - DATUM_GREEK
          - DATUM_GRS_1967
          - DATUM_GRS_1980
          - DATUM_GUAM_1963
          - DATUM_GUNUNG_SEGARA
          - DATUM_GUX_1
          - DATUM_GUYANE_FRANCAISE
          - DATUM_HELMERT_1906
          - DATUM_HERAT_NORTH
          - DATUM_HITO_XVIII_1963
          - DATUM_HJORSEY_1955
          - DATUM_HONG_KONG_1963
          - DATUM_HOUGH_1960
          - DATUM_HU_TZU_SHAN
          - DATUM_HUNGARIAN_1972
          - DATUM_INDIAN_1954
          - DATUM_INDIAN_1960
          - DATUM_INDIAN_1975
          - DATUM_INDONESIAN
          - DATUM_INDONESIAN_1974
          - DATUM_INTERNATIONAL_1924
          - DATUM_INTERNATIONAL_1967
          - DATUM_ISTS_061_1968
          - DATUM_ISTS_073_1969
          - DATUM_JAMAICA_1875
          - DATUM_JAMAICA_1969
          - DATUM_JAPAN_2000
          - DATUM_JOHNSTON_ISLAND_1961
          - DATUM_KALIANPUR
          - DATUM_KANDAWALA
          - DATUM_KERGUELEN_ISLAND_1949
          - DATUM_KERTAU
          - DATUM_KKJ
          - DATUM_KOC
          - DATUM_KRASOVSKY_1940
          - DATUM_KUDAMS
          - DATUM_KUSAIE_1951
          - DATUM_LA_CANOA
          - DATUM_LAKE
          - DATUM_LC5_1961
          - DATUM_LEIGON
          - DATUM_LIBERIA_1964
          - DATUM_LISBON
          - DATUM_LOMA_QUINTANA
          - DATUM_LOME
          - DATUM_LUZON_1911
          - DATUM_MAHE_1971
          - DATUM_MAKASSAR
          - DATUM_MALONGO_1987
          - DATUM_MANOCA
          - DATUM_MASSAWA
          - DATUM_MERCHICH
          - DATUM_MGI
          - DATUM_MHAST
          - DATUM_MIDWAY_1961
          - DATUM_MINNA
          - DATUM_MONTE_MARIO
          - DATUM_MONTSERRAT_ISLAND_1958
          - DATUM_MPORALOKO
          - DATUM_NAD_1927
          - DATUM_NAD_1983
          - DATUM_NAD_MICH
          - DATUM_NAHRWAN_1967
          - DATUM_NAPARIMA_1972
          - DATUM_NDG
          - DATUM_NGN
          - DATUM_NGO_1948
          - DATUM_NORD_SAHARA_1959
          - DATUM_NSWC_9Z_2
          - DATUM_NTF
          - DATUM_NWL_9D
          - DATUM_NZGD_1949
          - DATUM_OBSERV_METEOR_1939
          - DATUM_OLD_HAWAIIAN
          - DATUM_OMAN
          - DATUM_OS_SN_1980
          - DATUM_OSGB_1936
          - DATUM_OSGB_1970_SN
          - DATUM_OSU_86F
          - DATUM_OSU_91A
          - DATUM_PADANG_1884
          - DATUM_PALESTINE_1923
          - DATUM_PICO_DE_LAS_NIEVES
          - DATUM_PITCAIRN_1967
          - DATUM_PLESSIS_1817
          - DATUM_POINT58
          - DATUM_POINTE_NOIRE
          - DATUM_PORTO_SANTO_1936
          - DATUM_PSAD_1956
          - DATUM_PUERTO_RICO
          - DATUM_PULKOVO_1942
          - DATUM_PULKOVO_1995
          - DATUM_QATAR
          - DATUM_QATAR_1948
          - DATUM_QORNOQ
          - DATUM_REUNION
          - DATUM_S_ASIA_SINGAPORE
          - DATUM_S_JTSK
          - DATUM_S42_HUNGARY
          - DATUM_SAD_1969
          - DATUM_SAMOA_1962
          - DATUM_SANTO_DOS_1965
          - DATUM_SAO_BRAZ
          - DATUM_SAPPER_HILL_1943
          - DATUM_SCHWARZECK
          - DATUM_SEGORA
          - DATUM_SELVAGEM_GRANDE_1938
          - DATUM_SERINDUNG
          - DATUM_SPHERE
          - DATUM_SPHERE_AI
          - DATUM_STOCKHOLM_1938
          - DATUM_STRUVE_1860
          - DATUM_SUDAN
          - DATUM_TANANARIVE_1925
          - DATUM_TERN_ISLAND_1961
          - DATUM_TIMBALAI_1948
          - DATUM_TM65
          - DATUM_TM75
          - DATUM_TOKYO
          - DATUM_TRINIDAD_1903
          - DATUM_TRISTAN_1968
          - DATUM_TRUCIAL_COAST_1948
          - DATUM_USER_DEFINED
          - DATUM_VITI_LEVU_1916
          - DATUM_VOIROL_1875
          - DATUM_VOIROL_UNIFIE_1960
          - DATUM_WAKE_ENIWETOK_1960
          - DATUM_WAKE_ISLAND_1952
          - DATUM_WALBECK
          - DATUM_WAR_OFFICE
          - DATUM_WGS_1966
          - DATUM_WGS_1972
          - DATUM_WGS_1972_BE
          - DATUM_WGS_1984
          - DATUM_XIAN_1980
          - DATUM_YACARE
          - DATUM_YOFF
          - DATUM_ZANDERIJ
          - DATUM_DOS_1968
          - DATUM_MOON_2000
          - DATUM_POPULAR_VISUALISATION
          - DATUM_MAGNA
          - DATUM_MAGNA_2018
        spheroid:
          $ref: '#/components/schemas/Spheroid'
    Geometry:
      type: object
      properties:
        id:
          type: integer
          format: int32
        points:
          type: array
          items:
            $ref: '#/components/schemas/Point2D'
        parts:
          type: array
          items:
            type: integer
            format: int32
        partTopo:
          type: array
          items:
            type: integer
            format: int32
        type:
          type: string
          enum:
          - UNKNOWN
          - POINT
          - LINE
          - REGION
          - TEXT
          - LINEM
          - POINT3D
          - LINE3D
          - REGION3D
          - ARC
          - BSPLINE
          - CARDINAL
          - CHORD
          - CIRCLE
          - CIRCLE3D
          - CURVE
          - ELLIPSE
          - ELLIPTICARC
          - PIE
          - RECTANGLE
          - ROUNDRECTANGLE
          - GEOMODEL
          - GEOMODEL3D
          - GEOCOMPOUND
          - POINTEPS
          - LINEEPS
          - REGIONEPS
          - TEXTEPS
          - GRAPHICOBJECT
          - GEOSPHERE
          - GEOBOX
          - GEOBILLBOARD
          - GEOELLIPSOID
          - GEOCONE
          - GEOCYLINDER
          - GEOPARAMETRICPOINT
          - GEOPARAMETRICLINE
          - GEOPARAMETRICREGION
          - GEOPARAMETRICTEXT
          - TABULAR
          - GEOBEZIER3CURVE
          - GEOCOMPOUNDCURVE
          - GEOCURVEPOLYGON
          - GEOMULTICURVE
          - GEOMULTISURFACE
          - VIDEO
        style:
          $ref: '#/components/schemas/Style'
        prjCoordSys:
          $ref: '#/components/schemas/PrjCoordSys'
        bounds:
          $ref: '#/components/schemas/Rectangle2D'
        center:
          $ref: '#/components/schemas/Point2D'
    JoinItem:
      type: object
      properties:
        foreignTableName:
          type: string
        joinFilter:
          type: string
        joinType:
          type: string
          enum:
          - INNERJOIN
          - LEFTJOIN
    LinkItem:
      type: object
      properties:
        datasourceConnectionInfo:
          $ref: '#/components/schemas/DatasourceConnectionInfo'
        foreignKeys:
          type: array
          items:
            type: string
        foreignTable:
          type: string
        linkFields:
          type: array
          items:
            type: string
        linkFilter:
          type: string
        name:
          type: string
        primaryKeys:
          type: array
          items:
            type: string
    Point2D:
      type: object
      properties:
        x:
          type: number
          format: double
        "y":
          type: number
          format: double
    PrimeMeridian:
      type: object
      properties:
        longitudeValue:
          type: number
          format: double
        name:
          type: string
        type:
          type: string
          enum:
          - PRIMEMERIDIAN_ATHENS
          - PRIMEMERIDIAN_BERN
          - PRIMEMERIDIAN_BOGOTA
          - PRIMEMERIDIAN_BRUSSELS
          - PRIMEMERIDIAN_FERRO
          - PRIMEMERIDIAN_GREENWICH
          - PRIMEMERIDIAN_JAKARTA
          - PRIMEMERIDIAN_LISBON
          - PRIMEMERIDIAN_MADRID
          - PRIMEMERIDIAN_PARIS
          - PRIMEMERIDIAN_ROME
          - PRIMEMERIDIAN_STOCKHOLM
          - PRIMEMERIDIAN_USER_DEFINED
    PrjCoordSys:
      type: object
      properties:
        epsgCode:
          type: integer
          format: int32
        distanceUnit:
          type: string
          enum:
          - METER
          - KILOMETER
          - MILE
          - YARD
          - DEGREE
          - MILIMETER
          - CENTIMETER
          - INCH
          - DECIMETER
          - FOOT
          - SECOND
          - MINUTE
          - RADIAN
        type:
          type: string
          enum:
          - PCS_USER_DEFINED
          - PCS_NON_EARTH
          - PCS_EARTH_LONGITUDE_LATITUDE
          - PCS_WORLD_PLATE_CARREE
          - PCS_WORLD_EQUIDISTANT_CYLINDRICAL
          - PCS_WORLD_MILLER_CYLINDRICAL
          - PCS_WORLD_MERCATOR
          - PCS_WORLD_SINUSOIDAL
          - PCS_WORLD_MOLLWEIDE
          - PCS_WORLD_ECKERT_VI
          - PCS_WORLD_ECKERT_V
          - PCS_WORLD_ECKERT_IV
          - PCS_WORLD_ECKERT_III
          - PCS_WORLD_ECKERT_II
          - PCS_WORLD_ECKERT_I
          - PCS_WORLD_GALL_STEREOGRAPHIC
          - PCS_WORLD_BEHRMANN
          - PCS_WORLD_WINKEL_I
          - PCS_WORLD_WINKEL_II
          - PCS_WORLD_POLYCONIC
          - PCS_WORLD_QUARTIC_AUTHALIC
          - PCS_WORLD_LOXIMUTHAL
          - PCS_WORLD_BONNE
          - PCS_WORLD_HOTINE
          - PCS_WORLD_STEREOGRAPHIC
          - PCS_WORLD_EQUIDISTANT_CONIC
          - PCS_WORLD_CASSINI
          - PCS_WORLD_VAN_DER_GRINTEN_I
          - PCS_WORLD_ROBINSON
          - PCS_WORLD_TWO_POINT_EQUIDISTANT
          - PCS_SPHERE_PLATE_CARREE
          - PCS_SPHERE_EQUIDISTANT_CYLINDRICAL
          - PCS_SPHERE_MILLER_CYLINDRICAL
          - PCS_SPHERE_MERCATOR
          - PCS_SPHERE_SINUSOIDAL
          - PCS_SPHERE_MOLLWEIDE
          - PCS_SPHERE_ECKERT_VI
          - PCS_SPHERE_ECKERT_V
          - PCS_SPHERE_ECKERT_IV
          - PCS_SPHERE_ECKERT_III
          - PCS_SPHERE_ECKERT_II
          - PCS_SPHERE_ECKERT_I
          - PCS_SPHERE_GALL_STEREOGRAPHIC
          - PCS_SPHERE_BEHRMANN
          - PCS_SPHERE_WINKEL_I
          - PCS_SPHERE_WINKEL_II
          - PCS_SPHERE_POLYCONIC
          - PCS_SPHERE_QUARTIC_AUTHALIC
          - PCS_SPHERE_LOXIMUTHAL
          - PCS_SPHERE_BONNE
          - PCS_SPHERE_STEREOGRAPHIC
          - PCS_SPHERE_EQUIDISTANT_CONIC
          - PCS_SPHERE_CASSINI
          - PCS_SPHERE_VAN_DER_GRINTEN_I
          - PCS_SPHERE_ROBINSON
          - PCS_SPHERE_TWO_POINT_EQUIDISTANT
          - PCS_WGS_1984_UTM_1N
          - PCS_WGS_1984_UTM_2N
          - PCS_WGS_1984_UTM_3N
          - PCS_WGS_1984_UTM_4N
          - PCS_WGS_1984_UTM_5N
          - PCS_WGS_1984_UTM_6N
          - PCS_WGS_1984_UTM_7N
          - PCS_WGS_1984_UTM_8N
          - PCS_WGS_1984_UTM_9N
          - PCS_WGS_1984_UTM_10N
          - PCS_WGS_1984_UTM_11N
          - PCS_WGS_1984_UTM_12N
          - PCS_WGS_1984_UTM_13N
          - PCS_WGS_1984_UTM_14N
          - PCS_WGS_1984_UTM_15N
          - PCS_WGS_1984_UTM_16N
          - PCS_WGS_1984_UTM_17N
          - PCS_WGS_1984_UTM_18N
          - PCS_WGS_1984_UTM_19N
          - PCS_WGS_1984_UTM_20N
          - PCS_WGS_1984_UTM_21N
          - PCS_WGS_1984_UTM_22N
          - PCS_WGS_1984_UTM_23N
          - PCS_WGS_1984_UTM_24N
          - PCS_WGS_1984_UTM_25N
          - PCS_WGS_1984_UTM_26N
          - PCS_WGS_1984_UTM_27N
          - PCS_WGS_1984_UTM_28N
          - PCS_WGS_1984_UTM_29N
          - PCS_WGS_1984_UTM_30N
          - PCS_WGS_1984_UTM_31N
          - PCS_WGS_1984_UTM_32N
          - PCS_WGS_1984_UTM_33N
          - PCS_WGS_1984_UTM_34N
          - PCS_WGS_1984_UTM_35N
          - PCS_WGS_1984_UTM_36N
          - PCS_WGS_1984_UTM_37N
          - PCS_WGS_1984_UTM_38N
          - PCS_WGS_1984_UTM_39N
          - PCS_WGS_1984_UTM_40N
          - PCS_WGS_1984_UTM_41N
          - PCS_WGS_1984_UTM_42N
          - PCS_WGS_1984_UTM_43N
          - PCS_WGS_1984_UTM_44N
          - PCS_WGS_1984_UTM_45N
          - PCS_WGS_1984_UTM_46N
          - PCS_WGS_1984_UTM_47N
          - PCS_WGS_1984_UTM_48N
          - PCS_WGS_1984_UTM_49N
          - PCS_WGS_1984_UTM_50N
          - PCS_WGS_1984_UTM_51N
          - PCS_WGS_1984_UTM_52N
          - PCS_WGS_1984_UTM_53N
          - PCS_WGS_1984_UTM_54N
          - PCS_WGS_1984_UTM_55N
          - PCS_WGS_1984_UTM_56N
          - PCS_WGS_1984_UTM_57N
          - PCS_WGS_1984_UTM_58N
          - PCS_WGS_1984_UTM_59N
          - PCS_WGS_1984_UTM_60N
          - PCS_WGS_1984_UTM_1S
          - PCS_WGS_1984_UTM_2S
          - PCS_WGS_1984_UTM_3S
          - PCS_WGS_1984_UTM_4S
          - PCS_WGS_1984_UTM_5S
          - PCS_WGS_1984_UTM_6S
          - PCS_WGS_1984_UTM_7S
          - PCS_WGS_1984_UTM_8S
          - PCS_WGS_1984_UTM_9S
          - PCS_WGS_1984_UTM_10S
          - PCS_WGS_1984_UTM_11S
          - PCS_WGS_1984_UTM_12S
          - PCS_WGS_1984_UTM_13S
          - PCS_WGS_1984_UTM_14S
          - PCS_WGS_1984_UTM_15S
          - PCS_WGS_1984_UTM_16S
          - PCS_WGS_1984_UTM_17S
          - PCS_WGS_1984_UTM_18S
          - PCS_WGS_1984_UTM_19S
          - PCS_WGS_1984_UTM_20S
          - PCS_WGS_1984_UTM_21S
          - PCS_WGS_1984_UTM_22S
          - PCS_WGS_1984_UTM_23S
          - PCS_WGS_1984_UTM_24S
          - PCS_WGS_1984_UTM_25S
          - PCS_WGS_1984_UTM_26S
          - PCS_WGS_1984_UTM_27S
          - PCS_WGS_1984_UTM_28S
          - PCS_WGS_1984_UTM_29S
          - PCS_WGS_1984_UTM_30S
          - PCS_WGS_1984_UTM_31S
          - PCS_WGS_1984_UTM_32S
          - PCS_WGS_1984_UTM_33S
          - PCS_WGS_1984_UTM_34S
          - PCS_WGS_1984_UTM_35S
          - PCS_WGS_1984_UTM_36S
          - PCS_WGS_1984_UTM_37S
          - PCS_WGS_1984_UTM_38S
          - PCS_WGS_1984_UTM_39S
          - PCS_WGS_1984_UTM_40S
          - PCS_WGS_1984_UTM_41S
          - PCS_WGS_1984_UTM_42S
          - PCS_WGS_1984_UTM_43S
          - PCS_WGS_1984_UTM_44S
          - PCS_WGS_1984_UTM_45S
          - PCS_WGS_1984_UTM_46S
          - PCS_WGS_1984_UTM_47S
          - PCS_WGS_1984_UTM_48S
          - PCS_WGS_1984_UTM_49S
          - PCS_WGS_1984_UTM_50S
          - PCS_WGS_1984_UTM_51S
          - PCS_WGS_1984_UTM_52S
          - PCS_WGS_1984_UTM_53S
          - PCS_WGS_1984_UTM_54S
          - PCS_WGS_1984_UTM_55S
          - PCS_WGS_1984_UTM_56S
          - PCS_WGS_1984_UTM_57S
          - PCS_WGS_1984_UTM_58S
          - PCS_WGS_1984_UTM_59S
          - PCS_WGS_1984_UTM_60S
          - PCS_TOKYO_PLATE_ZONE_I
          - PCS_TOKYO_PLATE_ZONE_II
          - PCS_TOKYO_PLATE_ZONE_III
          - PCS_TOKYO_PLATE_ZONE_IV
          - PCS_TOKYO_PLATE_ZONE_V
          - PCS_TOKYO_PLATE_ZONE_VI
          - PCS_TOKYO_PLATE_ZONE_VII
          - PCS_TOKYO_PLATE_ZONE_VIII
          - PCS_TOKYO_PLATE_ZONE_IX
          - PCS_TOKYO_PLATE_ZONE_X
          - PCS_TOKYO_PLATE_ZONE_XI
          - PCS_TOKYO_PLATE_ZONE_XII
          - PCS_TOKYO_PLATE_ZONE_XIII
          - PCS_TOKYO_PLATE_ZONE_XIV
          - PCS_TOKYO_PLATE_ZONE_XV
          - PCS_TOKYO_PLATE_ZONE_XVI
          - PCS_TOKYO_PLATE_ZONE_XVII
          - PCS_TOKYO_PLATE_ZONE_XVIII
          - PCS_TOKYO_PLATE_ZONE_XIX
          - PCS_TOKYO_UTM_51
          - PCS_TOKYO_UTM_52
          - PCS_TOKYO_UTM_53
          - PCS_TOKYO_UTM_54
          - PCS_TOKYO_UTM_55
          - PCS_TOKYO_UTM_56
          - PCS_JAPAN_PLATE_ZONE_I
          - PCS_JAPAN_PLATE_ZONE_II
          - PCS_JAPAN_PLATE_ZONE_III
          - PCS_JAPAN_PLATE_ZONE_IV
          - PCS_JAPAN_PLATE_ZONE_V
          - PCS_JAPAN_PLATE_ZONE_VI
          - PCS_JAPAN_PLATE_ZONE_VII
          - PCS_JAPAN_PLATE_ZONE_VIII
          - PCS_JAPAN_PLATE_ZONE_IX
          - PCS_JAPAN_PLATE_ZONE_X
          - PCS_JAPAN_PLATE_ZONE_XI
          - PCS_JAPAN_PLATE_ZONE_XII
          - PCS_JAPAN_PLATE_ZONE_XIII
          - PCS_JAPAN_PLATE_ZONE_XIV
          - PCS_JAPAN_PLATE_ZONE_XV
          - PCS_JAPAN_PLATE_ZONE_XVI
          - PCS_JAPAN_PLATE_ZONE_XVII
          - PCS_JAPAN_PLATE_ZONE_XVIII
          - PCS_JAPAN_PLATE_ZONE_XIX
          - PCS_JAPAN_UTM_51
          - PCS_JAPAN_UTM_52
          - PCS_JAPAN_UTM_53
          - PCS_JAPAN_UTM_54
          - PCS_JAPAN_UTM_55
          - PCS_JAPAN_UTM_56
          - PCS_WGS_1972_UTM_1N
          - PCS_WGS_1972_UTM_2N
          - PCS_WGS_1972_UTM_3N
          - PCS_WGS_1972_UTM_4N
          - PCS_WGS_1972_UTM_5N
          - PCS_WGS_1972_UTM_6N
          - PCS_WGS_1972_UTM_7N
          - PCS_WGS_1972_UTM_8N
          - PCS_WGS_1972_UTM_9N
          - PCS_WGS_1972_UTM_10N
          - PCS_WGS_1972_UTM_11N
          - PCS_WGS_1972_UTM_12N
          - PCS_WGS_1972_UTM_13N
          - PCS_WGS_1972_UTM_14N
          - PCS_WGS_1972_UTM_15N
          - PCS_WGS_1972_UTM_16N
          - PCS_WGS_1972_UTM_17N
          - PCS_WGS_1972_UTM_18N
          - PCS_WGS_1972_UTM_19N
          - PCS_WGS_1972_UTM_20N
          - PCS_WGS_1972_UTM_21N
          - PCS_WGS_1972_UTM_22N
          - PCS_WGS_1972_UTM_23N
          - PCS_WGS_1972_UTM_24N
          - PCS_WGS_1972_UTM_25N
          - PCS_WGS_1972_UTM_26N
          - PCS_WGS_1972_UTM_27N
          - PCS_WGS_1972_UTM_28N
          - PCS_WGS_1972_UTM_29N
          - PCS_WGS_1972_UTM_30N
          - PCS_WGS_1972_UTM_31N
          - PCS_WGS_1972_UTM_32N
          - PCS_WGS_1972_UTM_33N
          - PCS_WGS_1972_UTM_34N
          - PCS_WGS_1972_UTM_35N
          - PCS_WGS_1972_UTM_36N
          - PCS_WGS_1972_UTM_37N
          - PCS_WGS_1972_UTM_38N
          - PCS_WGS_1972_UTM_39N
          - PCS_WGS_1972_UTM_40N
          - PCS_WGS_1972_UTM_41N
          - PCS_WGS_1972_UTM_42N
          - PCS_WGS_1972_UTM_43N
          - PCS_WGS_1972_UTM_44N
          - PCS_WGS_1972_UTM_45N
          - PCS_WGS_1972_UTM_46N
          - PCS_WGS_1972_UTM_47N
          - PCS_WGS_1972_UTM_48N
          - PCS_WGS_1972_UTM_49N
          - PCS_WGS_1972_UTM_50N
          - PCS_WGS_1972_UTM_51N
          - PCS_WGS_1972_UTM_52N
          - PCS_WGS_1972_UTM_53N
          - PCS_WGS_1972_UTM_54N
          - PCS_WGS_1972_UTM_55N
          - PCS_WGS_1972_UTM_56N
          - PCS_WGS_1972_UTM_57N
          - PCS_WGS_1972_UTM_58N
          - PCS_WGS_1972_UTM_59N
          - PCS_WGS_1972_UTM_60N
          - PCS_WGS_1972_UTM_1S
          - PCS_WGS_1972_UTM_2S
          - PCS_WGS_1972_UTM_3S
          - PCS_WGS_1972_UTM_4S
          - PCS_WGS_1972_UTM_5S
          - PCS_WGS_1972_UTM_6S
          - PCS_WGS_1972_UTM_7S
          - PCS_WGS_1972_UTM_8S
          - PCS_WGS_1972_UTM_9S
          - PCS_WGS_1972_UTM_10S
          - PCS_WGS_1972_UTM_11S
          - PCS_WGS_1972_UTM_12S
          - PCS_WGS_1972_UTM_13S
          - PCS_WGS_1972_UTM_14S
          - PCS_WGS_1972_UTM_15S
          - PCS_WGS_1972_UTM_16S
          - PCS_WGS_1972_UTM_17S
          - PCS_WGS_1972_UTM_18S
          - PCS_WGS_1972_UTM_19S
          - PCS_WGS_1972_UTM_20S
          - PCS_WGS_1972_UTM_21S
          - PCS_WGS_1972_UTM_22S
          - PCS_WGS_1972_UTM_23S
          - PCS_WGS_1972_UTM_24S
          - PCS_WGS_1972_UTM_25S
          - PCS_WGS_1972_UTM_26S
          - PCS_WGS_1972_UTM_27S
          - PCS_WGS_1972_UTM_28S
          - PCS_WGS_1972_UTM_29S
          - PCS_WGS_1972_UTM_30S
          - PCS_WGS_1972_UTM_31S
          - PCS_WGS_1972_UTM_32S
          - PCS_WGS_1972_UTM_33S
          - PCS_WGS_1972_UTM_34S
          - PCS_WGS_1972_UTM_35S
          - PCS_WGS_1972_UTM_36S
          - PCS_WGS_1972_UTM_37S
          - PCS_WGS_1972_UTM_38S
          - PCS_WGS_1972_UTM_39S
          - PCS_WGS_1972_UTM_40S
          - PCS_WGS_1972_UTM_41S
          - PCS_WGS_1972_UTM_42S
          - PCS_WGS_1972_UTM_43S
          - PCS_WGS_1972_UTM_44S
          - PCS_WGS_1972_UTM_45S
          - PCS_WGS_1972_UTM_46S
          - PCS_WGS_1972_UTM_47S
          - PCS_WGS_1972_UTM_48S
          - PCS_WGS_1972_UTM_49S
          - PCS_WGS_1972_UTM_50S
          - PCS_WGS_1972_UTM_51S
          - PCS_WGS_1972_UTM_52S
          - PCS_WGS_1972_UTM_53S
          - PCS_WGS_1972_UTM_54S
          - PCS_WGS_1972_UTM_55S
          - PCS_WGS_1972_UTM_56S
          - PCS_WGS_1972_UTM_57S
          - PCS_WGS_1972_UTM_58S
          - PCS_WGS_1972_UTM_59S
          - PCS_WGS_1972_UTM_60S
          - PCS_NAD_1927_BLM_14N
          - PCS_NAD_1927_BLM_15N
          - PCS_NAD_1927_BLM_16N
          - PCS_NAD_1927_BLM_17N
          - PCS_NAD_1927_UTM_3N
          - PCS_NAD_1927_UTM_4N
          - PCS_NAD_1927_UTM_5N
          - PCS_NAD_1927_UTM_6N
          - PCS_NAD_1927_UTM_7N
          - PCS_NAD_1927_UTM_8N
          - PCS_NAD_1927_UTM_9N
          - PCS_NAD_1927_UTM_10N
          - PCS_NAD_1927_UTM_11N
          - PCS_NAD_1927_UTM_12N
          - PCS_NAD_1927_UTM_13N
          - PCS_NAD_1927_UTM_14N
          - PCS_NAD_1927_UTM_15N
          - PCS_NAD_1927_UTM_16N
          - PCS_NAD_1927_UTM_17N
          - PCS_NAD_1927_UTM_18N
          - PCS_NAD_1927_UTM_19N
          - PCS_NAD_1927_UTM_20N
          - PCS_NAD_1927_UTM_21N
          - PCS_NAD_1927_UTM_22N
          - PCS_NAD_1983_UTM_3N
          - PCS_NAD_1983_UTM_4N
          - PCS_NAD_1983_UTM_5N
          - PCS_NAD_1983_UTM_6N
          - PCS_NAD_1983_UTM_7N
          - PCS_NAD_1983_UTM_8N
          - PCS_NAD_1983_UTM_9N
          - PCS_NAD_1983_UTM_10N
          - PCS_NAD_1983_UTM_11N
          - PCS_NAD_1983_UTM_12N
          - PCS_NAD_1983_UTM_13N
          - PCS_NAD_1983_UTM_14N
          - PCS_NAD_1983_UTM_15N
          - PCS_NAD_1983_UTM_16N
          - PCS_NAD_1983_UTM_17N
          - PCS_NAD_1983_UTM_18N
          - PCS_NAD_1983_UTM_19N
          - PCS_NAD_1983_UTM_20N
          - PCS_NAD_1983_UTM_21N
          - PCS_NAD_1983_UTM_22N
          - PCS_NAD_1983_UTM_23N
          - PCS_ETRS_1989_UTM_28N
          - PCS_ETRS_1989_UTM_29N
          - PCS_ETRS_1989_UTM_30N
          - PCS_ETRS_1989_UTM_31N
          - PCS_ETRS_1989_UTM_32N
          - PCS_ETRS_1989_UTM_33N
          - PCS_ETRS_1989_UTM_34N
          - PCS_ETRS_1989_UTM_35N
          - PCS_ETRS_1989_UTM_36N
          - PCS_ETRS_1989_UTM_37N
          - PCS_ETRS_1989_UTM_38N
          - PCS_PULKOVO_1942_GK_4
          - PCS_PULKOVO_1942_GK_5
          - PCS_PULKOVO_1942_GK_6
          - PCS_PULKOVO_1942_GK_7
          - PCS_PULKOVO_1942_GK_8
          - PCS_PULKOVO_1942_GK_9
          - PCS_PULKOVO_1942_GK_10
          - PCS_PULKOVO_1942_GK_11
          - PCS_PULKOVO_1942_GK_12
          - PCS_PULKOVO_1942_GK_13
          - PCS_PULKOVO_1942_GK_14
          - PCS_PULKOVO_1942_GK_15
          - PCS_PULKOVO_1942_GK_16
          - PCS_PULKOVO_1942_GK_17
          - PCS_PULKOVO_1942_GK_18
          - PCS_PULKOVO_1942_GK_19
          - PCS_PULKOVO_1942_GK_20
          - PCS_PULKOVO_1942_GK_21
          - PCS_PULKOVO_1942_GK_22
          - PCS_PULKOVO_1942_GK_23
          - PCS_PULKOVO_1942_GK_24
          - PCS_PULKOVO_1942_GK_25
          - PCS_PULKOVO_1942_GK_26
          - PCS_PULKOVO_1942_GK_27
          - PCS_PULKOVO_1942_GK_28
          - PCS_PULKOVO_1942_GK_29
          - PCS_PULKOVO_1942_GK_30
          - PCS_PULKOVO_1942_GK_31
          - PCS_PULKOVO_1942_GK_32
          - PCS_PULKOVO_1942_GK_4N
          - PCS_PULKOVO_1942_GK_5N
          - PCS_PULKOVO_1942_GK_6N
          - PCS_PULKOVO_1942_GK_7N
          - PCS_PULKOVO_1942_GK_8N
          - PCS_PULKOVO_1942_GK_9N
          - PCS_PULKOVO_1942_GK_10N
          - PCS_PULKOVO_1942_GK_11N
          - PCS_PULKOVO_1942_GK_12N
          - PCS_PULKOVO_1942_GK_13N
          - PCS_PULKOVO_1942_GK_14N
          - PCS_PULKOVO_1942_GK_15N
          - PCS_PULKOVO_1942_GK_16N
          - PCS_PULKOVO_1942_GK_17N
          - PCS_PULKOVO_1942_GK_18N
          - PCS_PULKOVO_1942_GK_19N
          - PCS_PULKOVO_1942_GK_20N
          - PCS_PULKOVO_1942_GK_21N
          - PCS_PULKOVO_1942_GK_22N
          - PCS_PULKOVO_1942_GK_23N
          - PCS_PULKOVO_1942_GK_24N
          - PCS_PULKOVO_1942_GK_25N
          - PCS_PULKOVO_1942_GK_26N
          - PCS_PULKOVO_1942_GK_27N
          - PCS_PULKOVO_1942_GK_28N
          - PCS_PULKOVO_1942_GK_29N
          - PCS_PULKOVO_1942_GK_30N
          - PCS_PULKOVO_1942_GK_31N
          - PCS_PULKOVO_1942_GK_32N
          - PCS_PULKOVO_1995_GK_4
          - PCS_PULKOVO_1995_GK_5
          - PCS_PULKOVO_1995_GK_6
          - PCS_PULKOVO_1995_GK_7
          - PCS_PULKOVO_1995_GK_8
          - PCS_PULKOVO_1995_GK_9
          - PCS_PULKOVO_1995_GK_10
          - PCS_PULKOVO_1995_GK_11
          - PCS_PULKOVO_1995_GK_12
          - PCS_PULKOVO_1995_GK_13
          - PCS_PULKOVO_1995_GK_14
          - PCS_PULKOVO_1995_GK_15
          - PCS_PULKOVO_1995_GK_16
          - PCS_PULKOVO_1995_GK_17
          - PCS_PULKOVO_1995_GK_18
          - PCS_PULKOVO_1995_GK_19
          - PCS_PULKOVO_1995_GK_20
          - PCS_PULKOVO_1995_GK_21
          - PCS_PULKOVO_1995_GK_22
          - PCS_PULKOVO_1995_GK_23
          - PCS_PULKOVO_1995_GK_24
          - PCS_PULKOVO_1995_GK_25
          - PCS_PULKOVO_1995_GK_26
          - PCS_PULKOVO_1995_GK_27
          - PCS_PULKOVO_1995_GK_28
          - PCS_PULKOVO_1995_GK_29
          - PCS_PULKOVO_1995_GK_30
          - PCS_PULKOVO_1995_GK_31
          - PCS_PULKOVO_1995_GK_32
          - PCS_PULKOVO_1995_GK_4N
          - PCS_PULKOVO_1995_GK_5N
          - PCS_PULKOVO_1995_GK_6N
          - PCS_PULKOVO_1995_GK_7N
          - PCS_PULKOVO_1995_GK_8N
          - PCS_PULKOVO_1995_GK_9N
          - PCS_PULKOVO_1995_GK_10N
          - PCS_PULKOVO_1995_GK_11N
          - PCS_PULKOVO_1995_GK_12N
          - PCS_PULKOVO_1995_GK_13N
          - PCS_PULKOVO_1995_GK_14N
          - PCS_PULKOVO_1995_GK_15N
          - PCS_PULKOVO_1995_GK_16N
          - PCS_PULKOVO_1995_GK_17N
          - PCS_PULKOVO_1995_GK_18N
          - PCS_PULKOVO_1995_GK_19N
          - PCS_PULKOVO_1995_GK_20N
          - PCS_PULKOVO_1995_GK_21N
          - PCS_PULKOVO_1995_GK_22N
          - PCS_PULKOVO_1995_GK_23N
          - PCS_PULKOVO_1995_GK_24N
          - PCS_PULKOVO_1995_GK_25N
          - PCS_PULKOVO_1995_GK_26N
          - PCS_PULKOVO_1995_GK_27N
          - PCS_PULKOVO_1995_GK_28N
          - PCS_PULKOVO_1995_GK_29N
          - PCS_PULKOVO_1995_GK_30N
          - PCS_PULKOVO_1995_GK_31N
          - PCS_PULKOVO_1995_GK_32N
          - PCS_BEIJING_1954_GK_13
          - PCS_BEIJING_1954_GK_14
          - PCS_BEIJING_1954_GK_15
          - PCS_BEIJING_1954_GK_16
          - PCS_BEIJING_1954_GK_17
          - PCS_BEIJING_1954_GK_18
          - PCS_BEIJING_1954_GK_19
          - PCS_BEIJING_1954_GK_20
          - PCS_BEIJING_1954_GK_21
          - PCS_BEIJING_1954_GK_22
          - PCS_BEIJING_1954_GK_23
          - PCS_BEIJING_1954_GK_13N
          - PCS_BEIJING_1954_GK_14N
          - PCS_BEIJING_1954_GK_15N
          - PCS_BEIJING_1954_GK_16N
          - PCS_BEIJING_1954_GK_17N
          - PCS_BEIJING_1954_GK_18N
          - PCS_BEIJING_1954_GK_19N
          - PCS_BEIJING_1954_GK_20N
          - PCS_BEIJING_1954_GK_21N
          - PCS_BEIJING_1954_GK_22N
          - PCS_BEIJING_1954_GK_23N
          - PCS_ED_1950_UTM_28N
          - PCS_ED_1950_UTM_29N
          - PCS_ED_1950_UTM_30N
          - PCS_ED_1950_UTM_31N
          - PCS_ED_1950_UTM_32N
          - PCS_ED_1950_UTM_33N
          - PCS_ED_1950_UTM_34N
          - PCS_ED_1950_UTM_35N
          - PCS_ED_1950_UTM_36N
          - PCS_ED_1950_UTM_37N
          - PCS_ED_1950_UTM_38N
          - PCS_ATS_1977_UTM_19N
          - PCS_ATS_1977_UTM_20N
          - PCS_KKJ_FINLAND_1
          - PCS_KKJ_FINLAND_2
          - PCS_KKJ_FINLAND_3
          - PCS_KKJ_FINLAND_4
          - PCS_SAD_1969_UTM_18N
          - PCS_SAD_1969_UTM_19N
          - PCS_SAD_1969_UTM_20N
          - PCS_SAD_1969_UTM_21N
          - PCS_SAD_1969_UTM_22N
          - PCS_SAD_1969_UTM_17S
          - PCS_SAD_1969_UTM_18S
          - PCS_SAD_1969_UTM_19S
          - PCS_SAD_1969_UTM_20S
          - PCS_SAD_1969_UTM_21S
          - PCS_SAD_1969_UTM_22S
          - PCS_SAD_1969_UTM_23S
          - PCS_SAD_1969_UTM_24S
          - PCS_SAD_1969_UTM_25S
          - PCS_AGD_1966_AMG_48
          - PCS_AGD_1966_AMG_49
          - PCS_AGD_1966_AMG_50
          - PCS_AGD_1966_AMG_51
          - PCS_AGD_1966_AMG_52
          - PCS_AGD_1966_AMG_53
          - PCS_AGD_1966_AMG_54
          - PCS_AGD_1966_AMG_55
          - PCS_AGD_1966_AMG_56
          - PCS_AGD_1966_AMG_57
          - PCS_AGD_1966_AMG_58
          - PCS_AGD_1984_AMG_48
          - PCS_AGD_1984_AMG_49
          - PCS_AGD_1984_AMG_50
          - PCS_AGD_1984_AMG_51
          - PCS_AGD_1984_AMG_52
          - PCS_AGD_1984_AMG_53
          - PCS_AGD_1984_AMG_54
          - PCS_AGD_1984_AMG_55
          - PCS_AGD_1984_AMG_56
          - PCS_AGD_1984_AMG_57
          - PCS_AGD_1984_AMG_58
          - PCS_GDA_1994_MGA_48
          - PCS_GDA_1994_MGA_49
          - PCS_GDA_1994_MGA_50
          - PCS_GDA_1994_MGA_51
          - PCS_GDA_1994_MGA_52
          - PCS_GDA_1994_MGA_53
          - PCS_GDA_1994_MGA_54
          - PCS_GDA_1994_MGA_55
          - PCS_GDA_1994_MGA_56
          - PCS_GDA_1994_MGA_57
          - PCS_GDA_1994_MGA_58
          - PCS_NAD_1927_AL_E
          - PCS_NAD_1927_AL_W
          - PCS_NAD_1927_AK_1
          - PCS_NAD_1927_AK_2
          - PCS_NAD_1927_AK_3
          - PCS_NAD_1927_AK_4
          - PCS_NAD_1927_AK_5
          - PCS_NAD_1927_AK_6
          - PCS_NAD_1927_AK_7
          - PCS_NAD_1927_AK_8
          - PCS_NAD_1927_AK_9
          - PCS_NAD_1927_AK_10
          - PCS_NAD_1927_AZ_E
          - PCS_NAD_1927_AZ_C
          - PCS_NAD_1927_AZ_W
          - PCS_NAD_1927_AR_N
          - PCS_NAD_1927_AR_S
          - PCS_NAD_1927_CA_I
          - PCS_NAD_1927_CA_II
          - PCS_NAD_1927_CA_III
          - PCS_NAD_1927_CA_IV
          - PCS_NAD_1927_CA_V
          - PCS_NAD_1927_CA_VI
          - PCS_NAD_1927_CA_VII
          - PCS_NAD_1927_CO_N
          - PCS_NAD_1927_CO_C
          - PCS_NAD_1927_CO_S
          - PCS_NAD_1927_CT
          - PCS_NAD_1927_DE
          - PCS_NAD_1927_FL_E
          - PCS_NAD_1927_FL_W
          - PCS_NAD_1927_FL_N
          - PCS_NAD_1927_GA_E
          - PCS_NAD_1927_GA_W
          - PCS_NAD_1927_HI_1
          - PCS_NAD_1927_HI_2
          - PCS_NAD_1927_HI_3
          - PCS_NAD_1927_HI_4
          - PCS_NAD_1927_HI_5
          - PCS_NAD_1927_ID_E
          - PCS_NAD_1927_ID_C
          - PCS_NAD_1927_ID_W
          - PCS_NAD_1927_IL_E
          - PCS_NAD_1927_IL_W
          - PCS_NAD_1927_IN_E
          - PCS_NAD_1927_IN_W
          - PCS_NAD_1927_IA_N
          - PCS_NAD_1927_IA_S
          - PCS_NAD_1927_KS_N
          - PCS_NAD_1927_KS_S
          - PCS_NAD_1927_KY_N
          - PCS_NAD_1927_KY_S
          - PCS_NAD_1927_LA_N
          - PCS_NAD_1927_LA_S
          - PCS_NAD_1927_ME_E
          - PCS_NAD_1927_ME_W
          - PCS_NAD_1927_MD
          - PCS_NAD_1927_MA_M
          - PCS_NAD_1927_MA_I
          - PCS_NAD_1927_MI_N
          - PCS_NAD_1927_MI_C
          - PCS_NAD_1927_MI_S
          - PCS_NAD_1927_MN_N
          - PCS_NAD_1927_MN_C
          - PCS_NAD_1927_MN_S
          - PCS_NAD_1927_MS_E
          - PCS_NAD_1927_MS_W
          - PCS_NAD_1927_MO_E
          - PCS_NAD_1927_MO_C
          - PCS_NAD_1927_MO_W
          - PCS_NAD_1927_MT_N
          - PCS_NAD_1927_MT_C
          - PCS_NAD_1927_MT_S
          - PCS_NAD_1927_NE_N
          - PCS_NAD_1927_NE_S
          - PCS_NAD_1927_NV_E
          - PCS_NAD_1927_NV_C
          - PCS_NAD_1927_NV_W
          - PCS_NAD_1927_NH
          - PCS_NAD_1927_NJ
          - PCS_NAD_1927_NM_E
          - PCS_NAD_1927_NM_C
          - PCS_NAD_1927_NM_W
          - PCS_NAD_1927_NY_E
          - PCS_NAD_1927_NY_C
          - PCS_NAD_1927_NY_W
          - PCS_NAD_1927_NY_LI
          - PCS_NAD_1927_NC
          - PCS_NAD_1927_ND_N
          - PCS_NAD_1927_ND_S
          - PCS_NAD_1927_OH_N
          - PCS_NAD_1927_OH_S
          - PCS_NAD_1927_OK_N
          - PCS_NAD_1927_OK_S
          - PCS_NAD_1927_OR_N
          - PCS_NAD_1927_OR_S
          - PCS_NAD_1927_PA_N
          - PCS_NAD_1927_PA_S
          - PCS_NAD_1927_RI
          - PCS_NAD_1927_SC_N
          - PCS_NAD_1927_SC_S
          - PCS_NAD_1927_SD_N
          - PCS_NAD_1927_SD_S
          - PCS_NAD_1927_TN
          - PCS_NAD_1927_TX_N
          - PCS_NAD_1927_TX_NC
          - PCS_NAD_1927_TX_C
          - PCS_NAD_1927_TX_SC
          - PCS_NAD_1927_TX_S
          - PCS_NAD_1927_UT_N
          - PCS_NAD_1927_UT_C
          - PCS_NAD_1927_UT_S
          - PCS_NAD_1927_VT
          - PCS_NAD_1927_VA_N
          - PCS_NAD_1927_VA_S
          - PCS_NAD_1927_WA_N
          - PCS_NAD_1927_WA_S
          - PCS_NAD_1927_WV_N
          - PCS_NAD_1927_WV_S
          - PCS_NAD_1927_WI_N
          - PCS_NAD_1927_WI_C
          - PCS_NAD_1927_WI_S
          - PCS_NAD_1927_WY_E
          - PCS_NAD_1927_WY_EC
          - PCS_NAD_1927_WY_WC
          - PCS_NAD_1927_WY_W
          - PCS_NAD_1927_PR
          - PCS_NAD_1927_VI
          - PCS_NAD_1927_GU
          - PCS_NAD_1983_AL_E
          - PCS_NAD_1983_AL_W
          - PCS_NAD_1983_AK_1
          - PCS_NAD_1983_AK_2
          - PCS_NAD_1983_AK_3
          - PCS_NAD_1983_AK_4
          - PCS_NAD_1983_AK_5
          - PCS_NAD_1983_AK_6
          - PCS_NAD_1983_AK_7
          - PCS_NAD_1983_AK_8
          - PCS_NAD_1983_AK_9
          - PCS_NAD_1983_AK_10
          - PCS_NAD_1983_AZ_E
          - PCS_NAD_1983_AZ_C
          - PCS_NAD_1983_AZ_W
          - PCS_NAD_1983_AR_N
          - PCS_NAD_1983_AR_S
          - PCS_NAD_1983_CA_I
          - PCS_NAD_1983_CA_II
          - PCS_NAD_1983_CA_III
          - PCS_NAD_1983_CA_IV
          - PCS_NAD_1983_CA_V
          - PCS_NAD_1983_CA_VI
          - PCS_NAD_1983_CO_N
          - PCS_NAD_1983_CO_C
          - PCS_NAD_1983_CO_S
          - PCS_NAD_1983_CT
          - PCS_NAD_1983_DE
          - PCS_NAD_1983_FL_E
          - PCS_NAD_1983_FL_W
          - PCS_NAD_1983_FL_N
          - PCS_NAD_1983_GA_E
          - PCS_NAD_1983_GA_W
          - PCS_NAD_1983_HI_1
          - PCS_NAD_1983_HI_2
          - PCS_NAD_1983_HI_3
          - PCS_NAD_1983_HI_4
          - PCS_NAD_1983_HI_5
          - PCS_NAD_1983_ID_E
          - PCS_NAD_1983_ID_C
          - PCS_NAD_1983_ID_W
          - PCS_NAD_1983_IL_E
          - PCS_NAD_1983_IL_W
          - PCS_NAD_1983_IN_E
          - PCS_NAD_1983_IN_W
          - PCS_NAD_1983_IA_N
          - PCS_NAD_1983_IA_S
          - PCS_NAD_1983_KS_N
          - PCS_NAD_1983_KS_S
          - PCS_NAD_1983_KY_N
          - PCS_NAD_1983_KY_S
          - PCS_NAD_1983_LA_N
          - PCS_NAD_1983_LA_S
          - PCS_NAD_1983_ME_E
          - PCS_NAD_1983_ME_W
          - PCS_NAD_1983_MD
          - PCS_NAD_1983_MA_M
          - PCS_NAD_1983_MA_I
          - PCS_NAD_1983_MI_N
          - PCS_NAD_1983_MI_C
          - PCS_NAD_1983_MI_S
          - PCS_NAD_1983_MN_N
          - PCS_NAD_1983_MN_C
          - PCS_NAD_1983_MN_S
          - PCS_NAD_1983_MS_E
          - PCS_NAD_1983_MS_W
          - PCS_NAD_1983_MO_E
          - PCS_NAD_1983_MO_C
          - PCS_NAD_1983_MO_W
          - PCS_NAD_1983_MT
          - PCS_NAD_1983_NE
          - PCS_NAD_1983_NV_E
          - PCS_NAD_1983_NV_C
          - PCS_NAD_1983_NV_W
          - PCS_NAD_1983_NH
          - PCS_NAD_1983_NJ
          - PCS_NAD_1983_NM_E
          - PCS_NAD_1983_NM_C
          - PCS_NAD_1983_NM_W
          - PCS_NAD_1983_NY_E
          - PCS_NAD_1983_NY_C
          - PCS_NAD_1983_NY_W
          - PCS_NAD_1983_NY_LI
          - PCS_NAD_1983_NC
          - PCS_NAD_1983_ND_N
          - PCS_NAD_1983_ND_S
          - PCS_NAD_1983_OH_N
          - PCS_NAD_1983_OH_S
          - PCS_NAD_1983_OK_N
          - PCS_NAD_1983_OK_S
          - PCS_NAD_1983_OR_N
          - PCS_NAD_1983_OR_S
          - PCS_NAD_1983_PA_N
          - PCS_NAD_1983_PA_S
          - PCS_NAD_1983_RI
          - PCS_NAD_1983_SC
          - PCS_NAD_1983_SD_N
          - PCS_NAD_1983_SD_S
          - PCS_NAD_1983_TN
          - PCS_NAD_1983_TX_N
          - PCS_NAD_1983_TX_NC
          - PCS_NAD_1983_TX_C
          - PCS_NAD_1983_TX_SC
          - PCS_NAD_1983_TX_S
          - PCS_NAD_1983_UT_N
          - PCS_NAD_1983_UT_C
          - PCS_NAD_1983_UT_S
          - PCS_NAD_1983_VT
          - PCS_NAD_1983_VA_N
          - PCS_NAD_1983_VA_S
          - PCS_NAD_1983_WA_N
          - PCS_NAD_1983_WA_S
          - PCS_NAD_1983_WV_N
          - PCS_NAD_1983_WV_S
          - PCS_NAD_1983_WI_N
          - PCS_NAD_1983_WI_C
          - PCS_NAD_1983_WI_S
          - PCS_NAD_1983_WY_E
          - PCS_NAD_1983_WY_EC
          - PCS_NAD_1983_WY_WC
          - PCS_NAD_1983_WY_W
          - PCS_NAD_1983_PR_VI
          - PCS_NAD_1983_GU
          - PCS_ADINDAN_UTM_37N
          - PCS_ADINDAN_UTM_38N
          - PCS_AFGOOYE_UTM_38N
          - PCS_AFGOOYE_UTM_39N
          - PCS_AIN_EL_ABD_UTM_37N
          - PCS_AIN_EL_ABD_UTM_38N
          - PCS_AIN_EL_ABD_UTM_39N
          - PCS_ARATU_UTM_22S
          - PCS_ARATU_UTM_23S
          - PCS_ARATU_UTM_24S
          - PCS_BATAVIA_UTM_48S
          - PCS_BATAVIA_UTM_49S
          - PCS_BATAVIA_UTM_50S
          - PCS_BOGOTA_UTM_17N
          - PCS_BOGOTA_UTM_18N
          - PCS_CAMACUPA_UTM_32S
          - PCS_CAMACUPA_UTM_33S
          - PCS_CARTHAGE_UTM_32N
          - PCS_CORREGO_ALEGRE_UTM_23S
          - PCS_CORREGO_ALEGRE_UTM_24S
          - PCS_DATUM_73_UTM_ZONE_29N
          - PCS_DOUALA_UTM_32N
          - PCS_FAHUD_UTM_39N
          - PCS_FAHUD_UTM_40N
          - PCS_GAROUA_UTM_33N
          - PCS_GGRS_1987_GREEK_GRID
          - PCS_ID_1974_UTM_46N
          - PCS_ID_1974_UTM_47N
          - PCS_ID_1974_UTM_48N
          - PCS_ID_1974_UTM_49N
          - PCS_ID_1974_UTM_50N
          - PCS_ID_1974_UTM_51N
          - PCS_ID_1974_UTM_52N
          - PCS_ID_1974_UTM_53N
          - PCS_ID_1974_UTM_46S
          - PCS_ID_1974_UTM_47S
          - PCS_ID_1974_UTM_48S
          - PCS_ID_1974_UTM_49S
          - PCS_ID_1974_UTM_50S
          - PCS_ID_1974_UTM_51S
          - PCS_ID_1974_UTM_52S
          - PCS_ID_1974_UTM_53S
          - PCS_ID_1974_UTM_54S
          - PCS_INDIAN_1954_UTM_47N
          - PCS_INDIAN_1954_UTM_48N
          - PCS_INDIAN_1975_UTM_47N
          - PCS_INDIAN_1975_UTM_48N
          - PCS_KERTAU_UTM_47N
          - PCS_KERTAU_UTM_48N
          - PCS_LA_CANOA_UTM_20N
          - PCS_LA_CANOA_UTM_21N
          - PCS_LOME_UTM_31N
          - PCS_MPORALOKO_UTM_32N
          - PCS_MPORALOKO_UTM_32S
          - PCS_MALONGO_1987_UTM_32S
          - PCS_MASSAWA_UTM_37N
          - PCS_MHAST_UTM_32S
          - PCS_MINNA_UTM_31N
          - PCS_MINNA_UTM_32N
          - PCS_NAHRWAN_1967_UTM_38N
          - PCS_NAHRWAN_1967_UTM_39N
          - PCS_NAHRWAN_1967_UTM_40N
          - PCS_NGN_UTM_38N
          - PCS_NGN_UTM_39N
          - PCS_NORD_SAHARA_UTM_29N
          - PCS_NORD_SAHARA_UTM_30N
          - PCS_NORD_SAHARA_UTM_31N
          - PCS_NORD_SAHARA_UTM_32N
          - PCS_NAPARIMA_1972_UTM_20N
          - PCS_POINTE_NOIRE_UTM_32S
          - PCS_PSAD_1956_UTM_18N
          - PCS_PSAD_1956_UTM_19N
          - PCS_PSAD_1956_UTM_20N
          - PCS_PSAD_1956_UTM_21N
          - PCS_PSAD_1956_UTM_17S
          - PCS_PSAD_1956_UTM_18S
          - PCS_PSAD_1956_UTM_19S
          - PCS_PSAD_1956_UTM_20S
          - PCS_SAPPER_HILL_UTM_20S
          - PCS_SAPPER_HILL_UTM_21S
          - PCS_SCHWARZECK_UTM_33S
          - PCS_SUDAN_UTM_35N
          - PCS_SUDAN_UTM_36N
          - PCS_TANANARIVE_UTM_38S
          - PCS_TANANARIVE_UTM_39S
          - PCS_TC_1948_UTM_39N
          - PCS_TC_1948_UTM_40N
          - PCS_TIMBALAI_1948_UTM_49N
          - PCS_TIMBALAI_1948_UTM_50N
          - PCS_YOFF_1972_UTM_28N
          - PCS_ZANDERIJ_1972_UTM_21N
          - PCS_KUDAMS_KTM
          - PCS_LUZON_PHILIPPINES_I
          - PCS_LUZON_PHILIPPINES_II
          - PCS_LUZON_PHILIPPINES_III
          - PCS_LUZON_PHILIPPINES_IV
          - PCS_LUZON_PHILIPPINES_V
          - PCS_MGI_FERRO_AUSTRIA_WEST
          - PCS_MGI_FERRO_AUSTRIA_CENTRAL
          - PCS_MGI_FERRO_AUSTRIA_EAST
          - PCS_MONTE_MARIO_ROME_ITALY_1
          - PCS_MONTE_MARIO_ROME_ITALY_2
          - PCS_C_INCHAUSARGENTINA_1
          - PCS_C_INCHAUSARGENTINA_2
          - PCS_C_INCHAUSARGENTINA_3
          - PCS_C_INCHAUSARGENTINA_4
          - PCS_C_INCHAUSARGENTINA_5
          - PCS_C_INCHAUSARGENTINA_6
          - PCS_C_INCHAUSARGENTINA_7
          - PCS_DHDN_GERMANY_1
          - PCS_DHDN_GERMANY_2
          - PCS_DHDN_GERMANY_3
          - PCS_DHDN_GERMANY_4
          - PCS_DHDN_GERMANY_5
          - PCS_AIN_EL_ABD_BAHRAIN_GRID
          - PCS_BOGOTA_COLOMBIA_WEST
          - PCS_BOGOTA_COLOMBIA_BOGOTA
          - PCS_BOGOTA_COLOMBIA_E_CENTRAL
          - PCS_BOGOTA_COLOMBIA_EAST
          - PCS_EGYPT_RED_BELT
          - PCS_EGYPT_PURPLE_BELT
          - PCS_EGYPT_EXT_PURPLE_BELT
          - PCS_LEIGON_GHANA_GRID
          - PCS_TM65_IRISH_GRID
          - PCS_NZGD_1949_NORTH_ISLAND
          - PCS_NZGD_1949_SOUTH_ISLAND
          - PCS_MINNA_NIGERIA_WEST_BELT
          - PCS_MINNA_NIGERIA_MID_BELT
          - PCS_MINNA_NIGERIA_EAST_BELT
          - PCS_PSAD_1956_PERU_WEST
          - PCS_PSAD_1956_PERU_CENTRAL
          - PCS_PSAD_1956_PERU_EAST
          - PCS_LISBON_PORTUGUESE_GRID
          - PCS_QATAR_GRID
          - PCS_OSGB_1936_BRITISH_GRID
          - PCS_RT38_STOCKHOLM_SWEDISH_GRID
          - PCS_VOIROL_N_ALGERIE_ANCIENNE
          - PCS_VOIROL_S_ALGERIE_ANCIENNE
          - PCS_VOIROL_UNIFIE_N_ALGERIE
          - PCS_VOIROL_UNIFIE_S_ALGERIE
          - PCS_ATF_NORD_DE_GUERRE
          - PCS_NTF_FRANCE_I
          - PCS_NTF_FRANCE_II
          - PCS_NTF_FRANCE_III
          - PCS_NTF_FRANCE_IV
          - PCS_NTF_NORD_FRANCE
          - PCS_NTF_CENTRE_FRANCE
          - PCS_NTF_SUD_FRANCE
          - PCS_NTF_CORSE
          - PCS_KALIANPUR_INDIA_0
          - PCS_KALIANPUR_INDIA_I
          - PCS_KALIANPUR_INDIA_IIA
          - PCS_KALIANPUR_INDIA_IIB
          - PCS_KALIANPUR_INDIA_IIIA
          - PCS_KALIANPUR_INDIA_IIIB
          - PCS_KALIANPUR_INDIA_IVA
          - PCS_KALIANPUR_INDIA_IVB
          - PCS_JAMAICA_1875_OLD_GRID
          - PCS_JAD_1969_JAMAICA_GRID
          - PCS_MERCHICH_NORD_MAROC
          - PCS_MERCHICH_SUD_MAROC
          - PCS_MERCHICH_SAHARA
          - PCS_CARTHAGE_NORD_TUNISIE
          - PCS_CARTHAGE_SUD_TUNISIE
          - PCS_KOC_LAMBERT
          - PCS_BELGE_LAMBERT_1950
          - PCS_DEALUL_PISCULUI_1933_STEREO_33
          - PCS_DEALUL_PISCULUI_1970_STEREO_EALUL_PISCULUI_1970_STEREO_70
          - PCS_XIAN_1980_GK_13
          - PCS_XIAN_1980_GK_14
          - PCS_XIAN_1980_GK_15
          - PCS_XIAN_1980_GK_16
          - PCS_XIAN_1980_GK_17
          - PCS_XIAN_1980_GK_18
          - PCS_XIAN_1980_GK_19
          - PCS_XIAN_1980_GK_20
          - PCS_XIAN_1980_GK_21
          - PCS_XIAN_1980_GK_22
          - PCS_XIAN_1980_GK_23
          - PCS_XIAN_1980_GK_13N
          - PCS_XIAN_1980_GK_14N
          - PCS_XIAN_1980_GK_15N
          - PCS_XIAN_1980_GK_16N
          - PCS_XIAN_1980_GK_17N
          - PCS_XIAN_1980_GK_18N
          - PCS_XIAN_1980_GK_19N
          - PCS_XIAN_1980_GK_20N
          - PCS_XIAN_1980_GK_21N
          - PCS_XIAN_1980_GK_22N
          - PCS_XIAN_1980_GK_23N
          - PCS_XIAN_1980_3_DEGREE_GK_25
          - PCS_XIAN_1980_3_DEGREE_GK_26
          - PCS_XIAN_1980_3_DEGREE_GK_27
          - PCS_XIAN_1980_3_DEGREE_GK_28
          - PCS_XIAN_1980_3_DEGREE_GK_29
          - PCS_XIAN_1980_3_DEGREE_GK_30
          - PCS_XIAN_1980_3_DEGREE_GK_31
          - PCS_XIAN_1980_3_DEGREE_GK_32
          - PCS_XIAN_1980_3_DEGREE_GK_33
          - PCS_XIAN_1980_3_DEGREE_GK_34
          - PCS_XIAN_1980_3_DEGREE_GK_35
          - PCS_XIAN_1980_3_DEGREE_GK_36
          - PCS_XIAN_1980_3_DEGREE_GK_37
          - PCS_XIAN_1980_3_DEGREE_GK_38
          - PCS_XIAN_1980_3_DEGREE_GK_39
          - PCS_XIAN_1980_3_DEGREE_GK_40
          - PCS_XIAN_1980_3_DEGREE_GK_41
          - PCS_XIAN_1980_3_DEGREE_GK_42
          - PCS_XIAN_1980_3_DEGREE_GK_43
          - PCS_XIAN_1980_3_DEGREE_GK_44
          - PCS_XIAN_1980_3_DEGREE_GK_45
          - PCS_XIAN_1980_3_DEGREE_GK_25N
          - PCS_XIAN_1980_3_DEGREE_GK_26N
          - PCS_XIAN_1980_3_DEGREE_GK_27N
          - PCS_XIAN_1980_3_DEGREE_GK_28N
          - PCS_XIAN_1980_3_DEGREE_GK_29N
          - PCS_XIAN_1980_3_DEGREE_GK_30N
          - PCS_XIAN_1980_3_DEGREE_GK_31N
          - PCS_XIAN_1980_3_DEGREE_GK_32N
          - PCS_XIAN_1980_3_DEGREE_GK_33N
          - PCS_XIAN_1980_3_DEGREE_GK_34N
          - PCS_XIAN_1980_3_DEGREE_GK_35N
          - PCS_XIAN_1980_3_DEGREE_GK_36N
          - PCS_XIAN_1980_3_DEGREE_GK_37N
          - PCS_XIAN_1980_3_DEGREE_GK_38N
          - PCS_XIAN_1980_3_DEGREE_GK_39N
          - PCS_XIAN_1980_3_DEGREE_GK_40N
          - PCS_XIAN_1980_3_DEGREE_GK_41N
          - PCS_XIAN_1980_3_DEGREE_GK_42N
          - PCS_XIAN_1980_3_DEGREE_GK_43N
          - PCS_XIAN_1980_3_DEGREE_GK_44N
          - PCS_XIAN_1980_3_DEGREE_GK_45N
          - PCS_BEIJING_1954_3_DEGREE_GK_25
          - PCS_BEIJING_1954_3_DEGREE_GK_26
          - PCS_BEIJING_1954_3_DEGREE_GK_27
          - PCS_BEIJING_1954_3_DEGREE_GK_28
          - PCS_BEIJING_1954_3_DEGREE_GK_29
          - PCS_BEIJING_1954_3_DEGREE_GK_30
          - PCS_BEIJING_1954_3_DEGREE_GK_31
          - PCS_BEIJING_1954_3_DEGREE_GK_32
          - PCS_BEIJING_1954_3_DEGREE_GK_33
          - PCS_BEIJING_1954_3_DEGREE_GK_34
          - PCS_BEIJING_1954_3_DEGREE_GK_35
          - PCS_BEIJING_1954_3_DEGREE_GK_36
          - PCS_BEIJING_1954_3_DEGREE_GK_37
          - PCS_BEIJING_1954_3_DEGREE_GK_38
          - PCS_BEIJING_1954_3_DEGREE_GK_39
          - PCS_BEIJING_1954_3_DEGREE_GK_40
          - PCS_BEIJING_1954_3_DEGREE_GK_41
          - PCS_BEIJING_1954_3_DEGREE_GK_42
          - PCS_BEIJING_1954_3_DEGREE_GK_43
          - PCS_BEIJING_1954_3_DEGREE_GK_44
          - PCS_BEIJING_1954_3_DEGREE_GK_45
          - PCS_BEIJING_1954_3_DEGREE_GK_25N
          - PCS_BEIJING_1954_3_DEGREE_GK_26N
          - PCS_BEIJING_1954_3_DEGREE_GK_27N
          - PCS_BEIJING_1954_3_DEGREE_GK_28N
          - PCS_BEIJING_1954_3_DEGREE_GK_29N
          - PCS_BEIJING_1954_3_DEGREE_GK_30N
          - PCS_BEIJING_1954_3_DEGREE_GK_31N
          - PCS_BEIJING_1954_3_DEGREE_GK_32N
          - PCS_BEIJING_1954_3_DEGREE_GK_33N
          - PCS_BEIJING_1954_3_DEGREE_GK_34N
          - PCS_BEIJING_1954_3_DEGREE_GK_35N
          - PCS_BEIJING_1954_3_DEGREE_GK_36N
          - PCS_BEIJING_1954_3_DEGREE_GK_37N
          - PCS_BEIJING_1954_3_DEGREE_GK_38N
          - PCS_BEIJING_1954_3_DEGREE_GK_39N
          - PCS_BEIJING_1954_3_DEGREE_GK_40N
          - PCS_BEIJING_1954_3_DEGREE_GK_41N
          - PCS_BEIJING_1954_3_DEGREE_GK_42N
          - PCS_BEIJING_1954_3_DEGREE_GK_43N
          - PCS_BEIJING_1954_3_DEGREE_GK_44N
          - PCS_BEIJING_1954_3_DEGREE_GK_45N
          - PCS_CHINA_2000_GK_13
          - PCS_CHINA_2000_GK_14
          - PCS_CHINA_2000_GK_15
          - PCS_CHINA_2000_GK_16
          - PCS_CHINA_2000_GK_17
          - PCS_CHINA_2000_GK_18
          - PCS_CHINA_2000_GK_19
          - PCS_CHINA_2000_GK_20
          - PCS_CHINA_2000_GK_21
          - PCS_CHINA_2000_GK_22
          - PCS_CHINA_2000_GK_23
          - PCS_CHINA_2000_GK_13N
          - PCS_CHINA_2000_GK_14N
          - PCS_CHINA_2000_GK_15N
          - PCS_CHINA_2000_GK_16N
          - PCS_CHINA_2000_GK_17N
          - PCS_CHINA_2000_GK_18N
          - PCS_CHINA_2000_GK_19N
          - PCS_CHINA_2000_GK_20N
          - PCS_CHINA_2000_GK_21N
          - PCS_CHINA_2000_GK_22N
          - PCS_CHINA_2000_GK_23N
          - PCS_CHINA_2000_3_DEGREE_GK_25
          - PCS_CHINA_2000_3_DEGREE_GK_26
          - PCS_CHINA_2000_3_DEGREE_GK_27
          - PCS_CHINA_2000_3_DEGREE_GK_28
          - PCS_CHINA_2000_3_DEGREE_GK_29
          - PCS_CHINA_2000_3_DEGREE_GK_30
          - PCS_CHINA_2000_3_DEGREE_GK_31
          - PCS_CHINA_2000_3_DEGREE_GK_32
          - PCS_CHINA_2000_3_DEGREE_GK_33
          - PCS_CHINA_2000_3_DEGREE_GK_34
          - PCS_CHINA_2000_3_DEGREE_GK_35
          - PCS_CHINA_2000_3_DEGREE_GK_36
          - PCS_CHINA_2000_3_DEGREE_GK_37
          - PCS_CHINA_2000_3_DEGREE_GK_38
          - PCS_CHINA_2000_3_DEGREE_GK_39
          - PCS_CHINA_2000_3_DEGREE_GK_40
          - PCS_CHINA_2000_3_DEGREE_GK_41
          - PCS_CHINA_2000_3_DEGREE_GK_42
          - PCS_CHINA_2000_3_DEGREE_GK_43
          - PCS_CHINA_2000_3_DEGREE_GK_44
          - PCS_CHINA_2000_3_DEGREE_GK_45
          - PCS_CHINA_2000_3_DEGREE_GK_25N
          - PCS_CHINA_2000_3_DEGREE_GK_26N
          - PCS_CHINA_2000_3_DEGREE_GK_27N
          - PCS_CHINA_2000_3_DEGREE_GK_28N
          - PCS_CHINA_2000_3_DEGREE_GK_29N
          - PCS_CHINA_2000_3_DEGREE_GK_30N
          - PCS_CHINA_2000_3_DEGREE_GK_31N
          - PCS_CHINA_2000_3_DEGREE_GK_32N
          - PCS_CHINA_2000_3_DEGREE_GK_33N
          - PCS_CHINA_2000_3_DEGREE_GK_34N
          - PCS_CHINA_2000_3_DEGREE_GK_35N
          - PCS_CHINA_2000_3_DEGREE_GK_36N
          - PCS_CHINA_2000_3_DEGREE_GK_37N
          - PCS_CHINA_2000_3_DEGREE_GK_38N
          - PCS_CHINA_2000_3_DEGREE_GK_39N
          - PCS_CHINA_2000_3_DEGREE_GK_40N
          - PCS_CHINA_2000_3_DEGREE_GK_41N
          - PCS_CHINA_2000_3_DEGREE_GK_42N
          - PCS_CHINA_2000_3_DEGREE_GK_43N
          - PCS_CHINA_2000_3_DEGREE_GK_44N
          - PCS_CHINA_2000_3_DEGREE_GK_45N
          - PCS_KERTAU_MALAYA_METERS
          - PCS_TIMBALAI_1948_RSO_BORNEO
          - PCS_ALL
          - PCS_AMERSFOORT_RD_NEW
          - PCS_WGS_1984_WORLD_MERCATOR
          - PCS_BD
          - PCS_GCJ02
          - PCS_TIMBALAI_1948_RSO_BORNEO_METERS
          - PCS_WGS84
          - PCS_MERCATOR
          - PCS_WGS_1984_WEB_MERCATOR
          - PCS_GCJ02MERCATOR
          - PCS_BDMERCATOR
          - PCS_POPULAR_VISUALISATON_CRS_MERCATOR
          - PCS_MAGNA_SIRGAS_URBAN_GRID_ARAUCA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_ARMENIA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_BARRANQUILLA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_BOGOTA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_BUCARAMANGA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_CALI
          - PCS_MAGNA_SIRGAS_URBAN_GRID_CARTAGENA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_CUCUTA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_FLORENCIA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_IBAGUE
          - PCS_MAGNA_SIRGAS_URBAN_GRID_INIRIDA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_LETICIA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_MANIZALES
          - PCS_MAGNA_SIRGAS_URBAN_GRID_MEDELLIN
          - PCS_MAGNA_SIRGAS_URBAN_GRID_MITU
          - PCS_MAGNA_SIRGAS_URBAN_GRID_MOCOA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_MONTERIA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_NEIVA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_PASTO
          - PCS_MAGNA_SIRGAS_URBAN_GRID_PEREIRA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_POPAYAN
          - PCS_MAGNA_SIRGAS_URBAN_GRID_PUERTO
          - PCS_MAGNA_SIRGAS_URBAN_GRID_QUIBDO
          - PCS_MAGNA_SIRGAS_URBAN_GRID_RIOHACHA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_SAN_ANDRES
          - PCS_MAGNA_SIRGAS_URBAN_GRID_SAN_JOSE_DEL_GUAVIAR
          - PCS_MAGNA_SIRGAS_URBAN_GRID_SANTA_MARTA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_SUCRE
          - PCS_MAGNA_SIRGAS_URBAN_GRID_TUNJA
          - PCS_MAGNA_SIRGAS_URBAN_GRID_VALLEDUPAR
          - PCS_MAGNA_SIRGAS_URBAN_GRID_VILLAVICENCIO
          - PCS_MAGNA_SIRGAS_URBAN_GRID_YOPAL
        projection:
          $ref: '#/components/schemas/Projection'
        coordUnit:
          type: string
          enum:
          - METER
          - KILOMETER
          - MILE
          - YARD
          - DEGREE
          - MILIMETER
          - CENTIMETER
          - INCH
          - DECIMETER
          - FOOT
          - SECOND
          - MINUTE
          - RADIAN
        name:
          type: string
        coordSystem:
          $ref: '#/components/schemas/CoordSys'
        projectionParam:
          $ref: '#/components/schemas/PrjParameter'
    PrjParameter:
      type: object
      properties:
        falseEasting:
          type: number
          format: double
        falseNorthing:
          type: number
          format: double
        centralMeridian:
          type: number
          format: double
        centralParallel:
          type: number
          format: double
        firstStandardParallel:
          type: number
          format: double
        secondStandardParallel:
          type: number
          format: double
        scaleFactor:
          type: number
          format: double
        azimuth:
          type: number
          format: double
        firstPointLongitude:
          type: number
          format: double
        secondPointLongitude:
          type: number
          format: double
        rectifiedAngle:
          type: number
          format: double
        projectionPlaneOriginHeight:
          type: number
          format: double
    Projection:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
          enum:
          - PRJ_NONPROJECTION
          - PRJ_PLATE_CARREE
          - PRJ_EQUIDISTANT_CYLINDRICAL
          - PRJ_MILLER_CYLINDRICAL
          - PRJ_MERCATOR
          - PRJ_GAUSS_KRUGER
          - PRJ_TRANSVERSE_MERCATOR
          - PRJ_ALBERS
          - PRJ_SINUSOIDAL
          - PRJ_MOLLWEIDE
          - PRJ_ECKERT_VI
          - PRJ_ECKERT_V
          - PRJ_ECKERT_IV
          - PRJ_ECKERT_III
          - PRJ_ECKERT_II
          - PRJ_ECKERT_I
          - PRJ_GALL_STEREOGRAPHIC
          - PRJ_BEHRMANN
          - PRJ_WINKEL_I
          - PRJ_WINKEL_II
          - PRJ_LAMBERT_CONFORMAL_CONIC
          - PRJ_POLYCONIC
          - PRJ_QUARTIC_AUTHALIC
          - PRJ_LOXIMUTHAL
          - PRJ_BONNE
          - PRJ_HOTINE
          - PRJ_STEREOGRAPHIC
          - PRJ_EQUIDISTANT_CONIC
          - PRJ_CASSINI
          - PRJ_VAN_DER_GRINTEN_I
          - PRJ_ROBINSON
          - PRJ_TWO_POINT_EQUIDISTANT
          - PRJ_EQUIDISTANT_AZIMUTHAL
          - PRJ_LAMBERT_AZIMUTHAL_EQUAL_AREA
          - PRJ_CONFORMAL_AZIMUTHAL
          - PRJ_ORTHO_GRAPHIC
          - PRJ_GNOMONIC
          - PRJ_CHINA_AZIMUTHAL
          - PRJ_SANSON
          - PRJ_EQUALAREA_CYLINDRICAL
          - PRJ_HOTINE_AZIMUTH_NATORIGIN
          - PRJ_OBLIQUE_MERCATOR
          - PRJ_HOTINE_OBLIQUE_MERCATOR
          - PRJ_SPHERE_MERCATOR
          - PRJ_BONNE_SOUTH_ORIENTATED
          - PRJ_OBLIQUE_STEREOGRAPHIC
          - PRJ_BAIDU_MERCATOR
          - PRJ_GCJ02
          - PRJ_WGS84
          - PRJ_BD
          - PRJ_MACTOR
          - PRJ_GCJ02MACTOR
          - PRJ_BDMACTOR
          - PRJ_RECTIFIED_SKEWED_ORTHOMORPHIC
          - PRJ_COLOMBIA_URBAN
          - PRJ_UNKNOWN
    ProximityAnalystPostParameter:
      type: object
      properties:
        clipRegion:
          $ref: '#/components/schemas/Geometry'
        createResultDataset:
          type: boolean
        resultDatasetName:
          type: string
        resultDatasourceName:
          type: string
        filterQueryParameter:
          $ref: '#/components/schemas/QueryParameter'
        points:
          type: array
          items:
            $ref: '#/components/schemas/Point2D'
        returnResultRegion:
          type: boolean
    QueryParameter:
      type: object
      properties:
        name:
          type: string
        joinItems:
          type: array
          items:
            $ref: '#/components/schemas/JoinItem'
        linkItems:
          type: array
          items:
            $ref: '#/components/schemas/LinkItem'
        ids:
          type: array
          items:
            type: integer
            format: int32
        attributeFilter:
          type: string
        orderBy:
          type: string
        groupBy:
          type: string
        fields:
          type: array
          items:
            type: string
    Rectangle2D:
      type: object
      properties:
        leftBottom:
          $ref: '#/components/schemas/Point2D'
        rightTop:
          $ref: '#/components/schemas/Point2D'
        valid:
          type: boolean
        left:
          type: number
          format: double
        right:
          type: number
          format: double
        bottom:
          type: number
          format: double
        top:
          type: number
          format: double
        center:
          $ref: '#/components/schemas/Point2D'
        width:
          type: number
          format: double
        height:
          type: number
          format: double
    Spheroid:
      type: object
      properties:
        axis:
          type: number
          format: double
        flatten:
          type: number
          format: double
        name:
          type: string
        type:
          type: string
          enum:
          - SPHEROID_AIRY_1830
          - SPHEROID_AIRY_MOD
          - SPHEROID_ATS_1977
          - SPHEROID_AUSTRALIAN
          - SPHEROID_BESSEL_1841
          - SPHEROID_BESSEL_MOD
          - SPHEROID_BESSEL_NAMIBIA
          - SPHEROID_CHINA_2000
          - SPHEROID_CLARKE_1858
          - SPHEROID_CLARKE_1866
          - SPHEROID_CLARKE_1866_MICH
          - SPHEROID_CLARKE_1880
          - SPHEROID_CLARKE_1880_ARC
          - SPHEROID_CLARKE_1880_BENOIT
          - SPHEROID_CLARKE_1880_IGN
          - SPHEROID_CLARKE_1880_RGS
          - SPHEROID_CLARKE_1880_SGA
          - SPHEROID_EVEREST_1830
          - SPHEROID_EVEREST_DEF_1967
          - SPHEROID_EVEREST_DEF_1975
          - SPHEROID_EVEREST_MOD
          - SPHEROID_EVEREST_MOD_1969
          - SPHEROID_FISCHER_1960
          - SPHEROID_FISCHER_1968
          - SPHEROID_FISCHER_MOD
          - SPHEROID_GEM_10C
          - SPHEROID_GRS_1967
          - SPHEROID_GRS_1980
          - SPHEROID_HELMERT_1906
          - SPHEROID_HOUGH_1960
          - SPHEROID_INDONESIAN
          - SPHEROID_INTERNATIONAL_1924
          - SPHEROID_INTERNATIONAL_1967
          - SPHEROID_INTERNATIONAL_1975
          - SPHEROID_KRASOVSKY_1940
          - SPHEROID_NWL_10D
          - SPHEROID_NWL_9D
          - SPHEROID_OSU_86F
          - SPHEROID_OSU_91A
          - SPHEROID_PLESSIS_1817
          - SPHEROID_SPHERE
          - SPHEROID_SPHERE_AI
          - SPHEROID_STRUVE_1860
          - SPHEROID_USER_DEFINED
          - SPHEROID_WALBECK
          - SPHEROID_WAR_OFFICE
          - SPHEROID_WGS_1966
          - SPHEROID_WGS_1972
          - SPHEROID_WGS_1984
          - SPHEROID_MOON_2000
          - SPHEROID_POPULAR_VISUALISATON
    Style:
      type: object
      properties:
        fillGradientAngle:
          type: number
          format: double
        fillBackColor:
          $ref: '#/components/schemas/Color'
        fillBackOpaque:
          type: boolean
        fillGradientOffsetRatioX:
          type: number
          format: double
        fillGradientOffsetRatioY:
          type: number
          format: double
        fillForeColor:
          $ref: '#/components/schemas/Color'
        fillGradientMode:
          type: string
          enum:
          - NONE
          - LINEAR
          - RADIAL
          - CONICAL
          - SQUARE
        fillOpaqueRate:
          type: integer
          format: int32
        fillSymbolID:
          type: integer
          format: int32
        lineColor:
          $ref: '#/components/schemas/Color'
        lineSymbolID:
          type: integer
          format: int32
        lineWidth:
          type: number
          format: double
        markerAngle:
          type: number
          format: double
        markerSize:
          type: number
          format: double
        markerWidth:
          type: number
          format: double
        markerHeight:
          type: number
          format: double
        markerSymbolID:
          type: integer
          format: int32
    ProximityAnalystResult:
      type: object
      properties:
        succeed:
          type: boolean
        message:
          type: string
        status:
          type: string
          enum:
          - RUNNING
          - FINISHED
        datasourceName:
          type: string
        datasetName:
          type: string
        regions:
          type: array
          items:
            $ref: '#/components/schemas/Geometry'
    Geometry3D:
      type: object
      properties:
        id:
          type: integer
          format: int32
        points:
          type: array
          items:
            $ref: '#/components/schemas/Point2D'
        parts:
          type: array
          items:
            type: integer
            format: int32
        partTopo:
          type: array
          items:
            type: integer
            format: int32
        type:
          type: string
          enum:
          - UNKNOWN
          - POINT
          - LINE
          - REGION
          - TEXT
          - LINEM
          - POINT3D
          - LINE3D
          - REGION3D
          - ARC
          - BSPLINE
          - CARDINAL
          - CHORD
          - CIRCLE
          - CIRCLE3D
          - CURVE
          - ELLIPSE
          - ELLIPTICARC
          - PIE
          - RECTANGLE
          - ROUNDRECTANGLE
          - GEOMODEL
          - GEOMODEL3D
          - GEOCOMPOUND
          - POINTEPS
          - LINEEPS
          - REGIONEPS
          - TEXTEPS
          - GRAPHICOBJECT
          - GEOSPHERE
          - GEOBOX
          - GEOBILLBOARD
          - GEOELLIPSOID
          - GEOCONE
          - GEOCYLINDER
          - GEOPARAMETRICPOINT
          - GEOPARAMETRICLINE
          - GEOPARAMETRICREGION
          - GEOPARAMETRICTEXT
          - TABULAR
          - GEOBEZIER3CURVE
          - GEOCOMPOUNDCURVE
          - GEOCURVEPOLYGON
          - GEOMULTICURVE
          - GEOMULTISURFACE
          - VIDEO
        style:
          $ref: '#/components/schemas/Style'
        prjCoordSys:
          $ref: '#/components/schemas/PrjCoordSys'
        rotationX:
          type: number
          format: double
        rotationY:
          type: number
          format: double
        rotationZ:
          type: number
          format: double
        scaleX:
          type: number
          format: double
        scaleY:
          type: number
          format: double
        scaleZ:
          type: number
          format: double
        position:
          $ref: '#/components/schemas/Point3D'
        bounds:
          $ref: '#/components/schemas/Rectangle2D'
        center:
          $ref: '#/components/schemas/Point2D'
    GeometryBooleanOperator3DPostParameter:
      type: object
      properties:
        sourceGeometry:
          $ref: '#/components/schemas/Geometry3D'
        operateGeometry:
          $ref: '#/components/schemas/Geometry3D'
        mode:
          type: string
          enum:
          - UNKNOWN
          - INTERSECT
          - ERASE
          - UNION
    Point3D:
      type: object
      properties:
        x:
          type: number
          format: double
        "y":
          type: number
          format: double
        z:
          type: number
          format: double
    Geometry3DInfo:
      type: object
      properties:
        volume:
          type: number
          format: double
        surfaceArea:
          type: number
          format: double
    GeometrySpatialAnalyst3DResult:
      type: object
      properties:
        succeed:
          type: boolean
        message:
          type: string
        status:
          type: string
          enum:
          - RUNNING
          - FINISHED
        geometry:
          $ref: '#/components/schemas/Geometry'
        infos:
          type: array
          items:
            $ref: '#/components/schemas/Geometry3DInfo'
        geometries:
          type: array
          items:
            $ref: '#/components/schemas/Geometry'
    BufferAnalystParameter:
      type: object
      properties:
        endType:
          type: string
          enum:
          - FLAT
          - ROUND
        leftDistance:
          $ref: '#/components/schemas/BufferDistance'
        rightDistance:
          $ref: '#/components/schemas/BufferDistance'
        semicircleLineSegment:
          type: integer
          format: int32
        radiusUnit:
          type: string
          enum:
          - METER
          - KILOMETER
          - MILE
          - YARD
          - MILLIMETER
          - CENTIMETER
          - INCH
          - DECIMETER
          - FOOT
    BufferDistance:
      type: object
      properties:
        value:
          type: number
          format: double
        exp:
          type: string
        distance:
          type: object
    GeometryBufferPostParameter:
      type: object
      properties:
        sourceGeometry:
          $ref: '#/components/schemas/GeometryWithPrjCoordSys'
        analystParameter:
          $ref: '#/components/schemas/BufferAnalystParameter'
    GeometryWithPrjCoordSys:
      type: object
      properties:
        id:
          type: integer
          format: int32
        points:
          type: array
          items:
            $ref: '#/components/schemas/Point2D'
        parts:
          type: array
          items:
            type: integer
            format: int32
        partTopo:
          type: array
          items:
            type: integer
            format: int32
        type:
          type: string
          enum:
          - UNKNOWN
          - POINT
          - LINE
          - REGION
          - TEXT
          - LINEM
          - POINT3D
          - LINE3D
          - REGION3D
          - ARC
          - BSPLINE
          - CARDINAL
          - CHORD
          - CIRCLE
          - CIRCLE3D
          - CURVE
          - ELLIPSE
          - ELLIPTICARC
          - PIE
          - RECTANGLE
          - ROUNDRECTANGLE
          - GEOMODEL
          - GEOMODEL3D
          - GEOCOMPOUND
          - POINTEPS
          - LINEEPS
          - REGIONEPS
          - TEXTEPS
          - GRAPHICOBJECT
          - GEOSPHERE
          - GEOBOX
          - GEOBILLBOARD
          - GEOELLIPSOID
          - GEOCONE
          - GEOCYLINDER
          - GEOPARAMETRICPOINT
          - GEOPARAMETRICLINE
          - GEOPARAMETRICREGION
          - GEOPARAMETRICTEXT
          - TABULAR
          - GEOBEZIER3CURVE
          - GEOCOMPOUNDCURVE
          - GEOCURVEPOLYGON
          - GEOMULTICURVE
          - GEOMULTISURFACE
          - VIDEO
        style:
          $ref: '#/components/schemas/Style'
        prjCoordSys:
          $ref: '#/components/schemas/PrjCoordSys'
        bounds:
          $ref: '#/components/schemas/Rectangle2D'
        center:
          $ref: '#/components/schemas/Point2D'
    GeometryBuffer3DPostParameter:
      type: object
      properties:
        geometry:
          $ref: '#/components/schemas/Geometry3D'
        lonlat:
          type: boolean
        distance:
          type: number
          format: double
        resultType:
          type: string
        joinType:
          type: string
    CalculateMeasurePostParameter:
      type: object
      properties:
        sourceRoute:
          $ref: '#/components/schemas/Route'
        point:
          $ref: '#/components/schemas/Point2D'
        tolerance:
          type: number
          format: double
        isIgnoreGap:
          type: boolean
    Route:
      type: object
      properties:
        id:
          type: integer
          format: int32
        points:
          type: array
          items:
            $ref: '#/components/schemas/Point2D'
        parts:
          type: array
          items:
            type: integer
            format: int32
        partTopo:
          type: array
          items:
            type: integer
            format: int32
        type:
          type: string
          enum:
          - UNKNOWN
          - POINT
          - LINE
          - REGION
          - TEXT
          - LINEM
          - POINT3D
          - LINE3D
          - REGION3D
          - ARC
          - BSPLINE
          - CARDINAL
          - CHORD
          - CIRCLE
          - CIRCLE3D
          - CURVE
          - ELLIPSE
          - ELLIPTICARC
          - PIE
          - RECTANGLE
          - ROUNDRECTANGLE
          - GEOMODEL
          - GEOMODEL3D
          - GEOCOMPOUND
          - POINTEPS
          - LINEEPS
          - REGIONEPS
          - TEXTEPS
          - GRAPHICOBJECT
          - GEOSPHERE
          - GEOBOX
          - GEOBILLBOARD
          - GEOELLIPSOID
          - GEOCONE
          - GEOCYLINDER
          - GEOPARAMETRICPOINT
          - GEOPARAMETRICLINE
          - GEOPARAMETRICREGION
          - GEOPARAMETRICTEXT
          - TABULAR
          - GEOBEZIER3CURVE
          - GEOCOMPOUNDCURVE
          - GEOCURVEPOLYGON
          - GEOMULTICURVE
          - GEOMULTISURFACE
          - VIDEO
        style:
          $ref: '#/components/schemas/Style'
        prjCoordSys:
          $ref: '#/components/schemas/PrjCoordSys'
        line:
          $ref: '#/components/schemas/Geometry'
        region:
          $ref: '#/components/schemas/Geometry'
        length:
          type: number
          format: double
        maxM:
          type: number
          format: double
        minM:
          type: number
          format: double
        bounds:
          $ref: '#/components/schemas/Rectangle2D'
        center:
          $ref: '#/components/schemas/Point2D'
    ProximityAnalystMinDistancePostParameter:
      type: object
      properties:
        inputGeometries:
          type: array
          items:
            $ref: '#/components/schemas/Geometry'
        inputFilterQueryParameter:
          $ref: '#/components/schemas/QueryParameter'
        referenceDatasetName:
          type: string
        referenceFilterQueryParameter:
          $ref: '#/components/schemas/QueryParameter'
        createResultDataset:
          type: boolean
        resultDatasetName:
          type: string
        resultDatasourceName:
          type: string
        minDistance:
          type: number
          format: double
        maxDistance:
          type: number
          format: double
    ComputeDistanceResult:
      type: object
      properties:
        succeed:
          type: boolean
        message:
          type: string
        status:
          type: string
          enum:
          - RUNNING
          - FINISHED
        distanceResults:
          type: array
          items:
            $ref: '#/components/schemas/DistanceResult'
        datasourceName:
          type: string
        datasetName:
          type: string
    DistanceResult:
      type: object
      properties:
        sourceGeometryID:
          type: integer
          format: int32
        referenceGeometryIDs:
          type: array
          items:
            type: integer
            format: int32
        distance:
          type: number
          format: double
    BoundingBox3D:
      type: object
      properties:
        lower:
          $ref: '#/components/schemas/Point3D'
        upper:
          $ref: '#/components/schemas/Point3D'
    GeoModel3D:
      type: object
      properties:
        id:
          type: integer
          format: int32
        points:
          type: array
          items:
            $ref: '#/components/schemas/Point2D'
        parts:
          type: array
          items:
            type: integer
            format: int32
        partTopo:
          type: array
          items:
            type: integer
            format: int32
        type:
          type: string
          enum:
          - UNKNOWN
          - POINT
          - LINE
          - REGION
          - TEXT
          - LINEM
          - POINT3D
          - LINE3D
          - REGION3D
          - ARC
          - BSPLINE
          - CARDINAL
          - CHORD
          - CIRCLE
          - CIRCLE3D
          - CURVE
          - ELLIPSE
          - ELLIPTICARC
          - PIE
          - RECTANGLE
          - ROUNDRECTANGLE
          - GEOMODEL
          - GEOMODEL3D
          - GEOCOMPOUND
          - POINTEPS
          - LINEEPS
          - REGIONEPS
          - TEXTEPS
          - GRAPHICOBJECT
          - GEOSPHERE
          - GEOBOX
          - GEOBILLBOARD
          - GEOELLIPSOID
          - GEOCONE
          - GEOCYLINDER
          - GEOPARAMETRICPOINT
          - GEOPARAMETRICLINE
          - GEOPARAMETRICREGION
          - GEOPARAMETRICTEXT
          - TABULAR
          - GEOBEZIER3CURVE
          - GEOCOMPOUNDCURVE
          - GEOCURVEPOLYGON
          - GEOMULTICURVE
          - GEOMULTISURFACE
          - VIDEO
        style:
          $ref: '#/components/schemas/Style'
        prjCoordSys:
          $ref: '#/components/schemas/PrjCoordSys'
        rotationX:
          type: number
          format: double
        rotationY:
          type: number
          format: double
        rotationZ:
          type: number
          format: double
        scaleX:
          type: number
          format: double
        scaleY:
          type: number
          format: double
        scaleZ:
          type: number
          format: double
        position:
          $ref: '#/components/schemas/Point3D'
        boundingBox:
          $ref: '#/components/schemas/BoundingBox3D'
        model:
          type: array
          items:
            type: string
            format: byte
        suffix:
          type: array
          items:
            type: string
            format: byte
        filePath:
          type: string
        modelUrl:
          type: string
        onlyUpdateAttribute:
          type: boolean
        bounds:
          $ref: '#/components/schemas/Rectangle2D'
        center:
          $ref: '#/components/schemas/Point2D'
    GeometryConvexHullPostParameter:
      type: object
      properties:
        model:
          $ref: '#/components/schemas/GeoModel3D'
    Geometry3DEnvelopPostParameter:
      type: object
      properties:
        geometries:
          type: array
          items:
            $ref: '#/components/schemas/Geometry3D'
        height:
          type: number
          format: double
    GeometryExtractVector3DPostParameter:
      type: object
      properties:
        geometries:
          type: array
          items:
            $ref: '#/components/schemas/Geometry'
        sceneName:
          type: string
        layerName:
          type: string
        interpolationDistance:
          type: number
          format: double
    Geometry3DInfoPostParameter:
      type: object
      properties:
        geometries:
          type: array
          items:
            $ref: '#/components/schemas/Geometry3D'
        lonlat:
          type: boolean
    ChildResourceInfo:
      type: object
      properties:
        name:
          type: string
        resourceType:
          type: string
          enum:
          - StaticResource
          - ArithmeticResource
          - ArithResultResource
          - ArithResultSetResource
          - CatalogList
          - DomainArithmeticResource
          - DomainArithResultResource
        resourceConfigID:
          type: string
        path:
          type: string
        supportedMediaTypes:
          type: array
          items:
            type: string
    DatasetSpatialAnalystResult:
      type: object
      properties:
        succeed:
          type: boolean
        message:
          type: string
        status:
          type: string
          enum:
          - RUNNING
          - FINISHED
        dataset:
          type: string
        recordset:
          $ref: '#/components/schemas/Recordset'
    Feature:
      type: object
      properties:
        geometry:
          $ref: '#/components/schemas/Geometry'
        fieldValues:
          type: array
          items:
            type: string
        fieldNames:
          type: array
          items:
            type: string
        stringID:
          type: string
        id:
          type: integer
          format: int32
    Recordset:
      type: object
      properties:
        fields:
          type: array
          items:
            type: string
        fieldCaptions:
          type: array
          items:
            type: string
        features:
          type: array
          items:
            $ref: '#/components/schemas/Feature'
        fieldTypes:
          type: array
          items:
            type: string
            enum:
            - BOOLEAN
            - BYTE
            - INT16
            - INT32
            - SINGLE
            - DOUBLE
            - DATETIME
            - LONGBINARY
            - TEXT
            - INT64
            - WTEXT
            - CHAR
            - JSONB
        datasetName:
          type: string
    ClipParameter:
      type: object
      properties:
        clipRegion:
          $ref: '#/components/schemas/Geometry'
        clipDatasourceName:
          type: string
        clipDatasetName:
          type: string
        isClipInRegion:
          type: boolean
        isExactClip:
          type: boolean
    InterpolationIDWPostParameter:
      type: object
      properties:
        filterQueryParameter:
          $ref: '#/components/schemas/QueryParameter'
        zValueFieldName:
          type: string
        zValueScale:
          type: number
          format: double
        outputDatasourceName:
          type: string
        outputDatasetName:
          type: string
        pixelFormat:
          type: string
          enum:
          - BIT8
          - BIT16
          - BIT32
          - BIT64
          - DOUBLE
          - SINGLE
          - UBIT1
          - UBIT4
          - UBIT8
          - UBIT16
          - RGB
          - RGBA
          - UBIT32
          - UNKONOWN
        bounds:
          $ref: '#/components/schemas/Rectangle2D'
        resolution:
          type: number
          format: double
        searchMode:
          type: string
          enum:
          - KDTREE_FIXED_COUNT
          - KDTREE_FIXED_RADIUS
          - NONE
          - QUADTREE
        searchRadius:
          type: number
          format: double
        expectedCount:
          type: integer
          format: int32
        maxPointCountForInterpolation:
          type: integer
          format: int32
        maxPointCountInNode:
          type: integer
          format: int32
        inputPoints:
          type: array
          items:
            $ref: '#/components/schemas/Point3D'
        clipParam:
          $ref: '#/components/schemas/ClipParameter'
        power:
          type: integer
          format: int32
    InterpolationDensityPostParameter:
      type: object
      properties:
        filterQueryParameter:
          $ref: '#/components/schemas/QueryParameter'
        zValueFieldName:
          type: string
        zValueScale:
          type: number
          format: double
        outputDatasourceName:
          type: string
        outputDatasetName:
          type: string
        pixelFormat:
          type: string
          enum:
          - BIT8
          - BIT16
          - BIT32
          - BIT64
          - DOUBLE
          - SINGLE
          - UBIT1
          - UBIT4
          - UBIT8
          - UBIT16
          - RGB
          - RGBA
          - UBIT32
          - UNKONOWN
        bounds:
          $ref: '#/components/schemas/Rectangle2D'
        resolution:
          type: number
          format: double
        searchMode:
          type: string
          enum:
          - KDTREE_FIXED_COUNT
          - KDTREE_FIXED_RADIUS
          - NONE
          - QUADTREE
        searchRadius:
          type: number
          format: double
        expectedCount:
          type: integer
          format: int32
        maxPointCountForInterpolation:
          type: integer
          format: int32
        maxPointCountInNode:
          type: integer
          format: int32
        inputPoints:
          type: array
          items:
            $ref: '#/components/schemas/Point3D'
        clipParam:
          $ref: '#/components/schemas/ClipParameter'
    InterpolationKrigingPostParameter:
      type: object
      properties:
        filterQueryParameter:
          $ref: '#/components/schemas/QueryParameter'
        zValueFieldName:
          type: string
        zValueScale:
          type: number
          format: double
        outputDatasourceName:
          type: string
        outputDatasetName:
          type: string
        pixelFormat:
          type: string
          enum:
          - BIT8
          - BIT16
          - BIT32
          - BIT64
          - DOUBLE
          - SINGLE
          - UBIT1
          - UBIT4
          - UBIT8
          - UBIT16
          - RGB
          - RGBA
          - UBIT32
          - UNKONOWN
        bounds:
          $ref: '#/components/schemas/Rectangle2D'
        resolution:
          type: number
          format: double
        searchMode:
          type: string
          enum:
          - KDTREE_FIXED_COUNT
          - KDTREE_FIXED_RADIUS
          - NONE
          - QUADTREE
        searchRadius:
          type: number
          format: double
        expectedCount:
          type: integer
          format: int32
        maxPointCountForInterpolation:
          type: integer
          format: int32
        maxPointCountInNode:
          type: integer
          format: int32
        inputPoints:
          type: array
          items:
            $ref: '#/components/schemas/Point3D'
        clipParam:
          $ref: '#/components/schemas/ClipParameter'
        angle:
          type: number
          format: double
        exponent:
          type: string
          enum:
          - EXP1
          - EXP2
        mean:
          type: number
          format: double
        nugget:
          type: number
          format: double
        range:
          type: number
          format: double
        sill:
          type: number
          format: double
        variogramMode:
          type: string
          enum:
          - EXPONENTIAL
          - GAUSSIAN
          - SPHERICAL
        type:
          type: string
          enum:
          - SimpleKriging
          - UniversalKriging
          - KRIGING
    InterpolationRBFPostParameter:
      type: object
      properties:
        filterQueryParameter:
          $ref: '#/components/schemas/QueryParameter'
        zValueFieldName:
          type: string
        zValueScale:
          type: number
          format: double
        outputDatasourceName:
          type: string
        outputDatasetName:
          type: string
        pixelFormat:
          type: string
          enum:
          - BIT8
          - BIT16
          - BIT32
          - BIT64
          - DOUBLE
          - SINGLE
          - UBIT1
          - UBIT4
          - UBIT8
          - UBIT16
          - RGB
          - RGBA
          - UBIT32
          - UNKONOWN
        bounds:
          $ref: '#/components/schemas/Rectangle2D'
        resolution:
          type: number
          format: double
        searchMode:
          type: string
          enum:
          - KDTREE_FIXED_COUNT
          - KDTREE_FIXED_RADIUS
          - NONE
          - QUADTREE
        searchRadius:
          type: number
          format: double
        expectedCount:
          type: integer
          format: int32
        maxPointCountForInterpolation:
          type: integer
          format: int32
        maxPointCountInNode:
          type: integer
          format: int32
        inputPoints:
          type: array
          items:
            $ref: '#/components/schemas/Point3D'
        clipParam:
          $ref: '#/components/schemas/ClipParameter'
        smooth:
          type: number
          format: double
        tension:
          type: number
          format: double
    DataReturnOption:
      type: object
      properties:
        dataset:
          type: string
        expectCount:
          type: integer
          format: int32
        dataReturnMode:
          type: string
          enum:
          - DATASET_ONLY
          - RECORDSET_ONLY
          - DATASET_AND_RECORDSET
        deleteExistResultDataset:
          type: boolean
    ExtractParameter:
      type: object
      properties:
        datumValue:
          type: number
          format: double
        interval:
          type: number
          format: double
        expectedZValues:
          type: array
          items:
            type: number
            format: double
        resampleTolerance:
          type: number
          format: double
        smoothness:
          type: integer
          format: int32
        smoothMethod:
          type: string
          enum:
          - BSPLINE
          - POLISH
          - NONE
        clipRegion:
          $ref: '#/components/schemas/Geometry'
    GeometryExtractPostParameter:
      type: object
      properties:
        extractParameter:
          $ref: '#/components/schemas/ExtractParameter'
        resultSetting:
          $ref: '#/components/schemas/DataReturnOption'
        points:
          type: array
          items:
            $ref: '#/components/schemas/Point2D'
        zValues:
          type: array
          items:
            type: number
            format: double
        resolution:
          type: number
          format: double
    RouteLocatorPostParameter:
      type: object
      properties:
        sourceRoute:
          $ref: '#/components/schemas/Route'
        type:
          type: string
          enum:
          - POINT
          - LINE
          - LINEM
        measure:
          type: number
          format: double
        offset:
          type: number
          format: double
        isIgnoreGap:
          type: boolean
        startMeasure:
          type: number
          format: double
        endMeasure:
          type: number
          format: double
        routeIDField:
          type: string
        routeID:
          type: string
    GeoLine3D:
      type: object
      properties:
        id:
          type: integer
          format: int32
        points:
          type: array
          items:
            $ref: '#/components/schemas/Point2D'
        parts:
          type: array
          items:
            type: integer
            format: int32
        partTopo:
          type: array
          items:
            type: integer
            format: int32
        type:
          type: string
          enum:
          - UNKNOWN
          - POINT
          - LINE
          - REGION
          - TEXT
          - LINEM
          - POINT3D
          - LINE3D
          - REGION3D
          - ARC
          - BSPLINE
          - CARDINAL
          - CHORD
          - CIRCLE
          - CIRCLE3D
          - CURVE
          - ELLIPSE
          - ELLIPTICARC
          - PIE
          - RECTANGLE
          - ROUNDRECTANGLE
          - GEOMODEL
          - GEOMODEL3D
          - GEOCOMPOUND
          - POINTEPS
          - LINEEPS
          - REGIONEPS
          - TEXTEPS
          - GRAPHICOBJECT
          - GEOSPHERE
          - GEOBOX
          - GEOBILLBOARD
          - GEOELLIPSOID
          - GEOCONE
          - GEOCYLINDER
          - GEOPARAMETRICPOINT
          - GEOPARAMETRICLINE
          - GEOPARAMETRICREGION
          - GEOPARAMETRICTEXT
          - TABULAR
          - GEOBEZIER3CURVE
          - GEOCOMPOUNDCURVE
          - GEOCURVEPOLYGON
          - GEOMULTICURVE
          - GEOMULTISURFACE
          - VIDEO
        style:
          $ref: '#/components/schemas/Style'
        prjCoordSys:
          $ref: '#/components/schemas/PrjCoordSys'
        rotationX:
          type: number
          format: double
        rotationY:
          type: number
          format: double
        rotationZ:
          type: number
          format: double
        scaleX:
          type: number
          format: double
        scaleY:
          type: number
          format: double
        scaleZ:
          type: number
          format: double
        position:
          $ref: '#/components/schemas/Point3D'
        bounds:
          $ref: '#/components/schemas/Rectangle2D'
        center:
          $ref: '#/components/schemas/Point2D'
    GeometryLoftPostParameter:
      type: object
      properties:
        loftRegion:
          $ref: '#/components/schemas/Geometry'
        loftLine:
          $ref: '#/components/schemas/GeoLine3D'
        lonlat:
          type: boolean
        chamfer:
          type: integer
          format: int32
    BatchGeometryOverlayPostParameter:
      type: object
      properties:
        sourceGeometries:
          type: array
          items:
            $ref: '#/components/schemas/Geometry'
        operateGeometries:
          type: array
          items:
            $ref: '#/components/schemas/Geometry'
        operation:
          type: string
    GeometryOverlayPostParameter:
      type: object
      properties:
        sourceGeometry:
          $ref: '#/components/schemas/Geometry'
        operateGeometry:
          $ref: '#/components/schemas/Geometry'
        operation:
          type: string
        tolerance:
          type: number
          format: double
    GeometrySkylineSectorBodyPostParameter:
      type: object
      properties:
        line3D:
          $ref: '#/components/schemas/GeoLine3D'
        lonlat:
          type: boolean
        height:
          type: number
          format: double
        viewerPoint:
          $ref: '#/components/schemas/Point3D'
    GeometrySpatialQuery3DPostParameter:
      type: object
      properties:
        sourceGeometry:
          $ref: '#/components/schemas/Geometry'
        bottomAltitudeSource:
          type: number
          format: double
        extendedHeightSource:
          type: number
          format: double
        operateGeometry:
          $ref: '#/components/schemas/Geometry'
        bottomAltitudeOperate:
          type: number
          format: double
        extendedHeightOperate:
          type: number
          format: double
    SpatialQuery3DResult:
      type: object
      properties:
        succeed:
          type: boolean
        message:
          type: string
        status:
          type: string
          enum:
          - RUNNING
          - FINISHED
        posMode:
          type: string
          enum:
          - UNKNOWN
          - IDENTICAL
          - DISJOINT
          - INTERSECTS
          - WITHIN
          - CONTAINS
          - INTERSECTSORCONTAINS
        ids:
          type: array
          items:
            type: integer
            format: int32
        idsList:
          type: array
          items:
            type: array
            items:
              type: integer
              format: int32
    GeometryViewShedBodyPostParameter:
      type: object
      properties:
        point3DsList:
          type: array
          items:
            $ref: '#/components/schemas/Point3Ds'
        lonlat:
          type: boolean
        radius:
          type: number
          format: double
        viewerPoint:
          $ref: '#/components/schemas/Point3D'
        viewShedType:
          type: string
    Point3Ds:
      type: object
      properties:
        pntArray:
          type: array
          items:
            $ref: '#/components/schemas/Point3D'
        count:
          type: integer
          format: int32
    DatasetBufferPostParameter:
      type: object
      properties:
        filterQueryParameter:
          $ref: '#/components/schemas/QueryParameter'
        bufferAnalystParameter:
          $ref: '#/components/schemas/BufferAnalystParameter'
        isAttributeRetained:
          type: boolean
        isUnion:
          type: boolean
        dataReturnOption:
          $ref: '#/components/schemas/DataReturnOption'
    DatasetBuffer3DPostParameter:
      type: object
      properties:
        filterQueryParameter:
          $ref: '#/components/schemas/QueryParameter'
        datasetFields:
          type: array
          items:
            type: string
        lonlat:
          type: boolean
        distance:
          type: number
          format: double
        resultType:
          type: string
        joinType:
          type: string
        dataReturnOption:
          $ref: '#/components/schemas/DataReturnOption'
        returnStream:
          type: boolean
    SpatialAnalyst3DResult:
      type: object
      properties:
        succeed:
          type: boolean
        message:
          type: string
        status:
          type: string
          enum:
          - RUNNING
          - FINISHED
        geometries:
          type: array
          items:
            $ref: '#/components/schemas/Geometry'
        returnStream:
          type: boolean
        sunlightpointresults:
          type: array
          items:
            type: array
            items:
              $ref: '#/components/schemas/SunlightAnalysisPointResult'
    SunlightAnalysisPointResult:
      type: object
      properties:
        sunlightRatio:
          type: number
          format: double
        position:
          $ref: '#/components/schemas/Point3D'
        period:
          type: array
          items:
            $ref: '#/components/schemas/SunlightRatioPeriod'
    SunlightRatioPeriod:
      type: object
      properties:
        startTime:
          type: string
        endTime:
          type: string
    KernelDensityAnalystPostParameter:
      type: object
      properties:
        bounds:
          $ref: '#/components/schemas/Rectangle2D'
        resultGridDatasetResolution:
          type: number
          format: double
        searchRadius:
          type: number
          format: double
        fieldName:
          type: string
        targetDatasource:
          type: string
        resultGridName:
          type: string
        deleteExistResultDataset:
          type: boolean
    CostPathLinePostParameter:
      type: object
      properties:
        sourcePoint:
          $ref: '#/components/schemas/Point2D'
        targetPoint:
          $ref: '#/components/schemas/Point2D'
        smoothMethod:
          type: string
          enum:
          - BSPLINE
          - POLISH
          - NONE
        smoothDegree:
          type: integer
          format: int32
        resultSetting:
          $ref: '#/components/schemas/DataReturnOption'
        maxUpslopeDegree:
          type: number
          format: double
        maxDownslopeDegree:
          type: number
          format: double
    CostPathLineResult:
      type: object
      properties:
        succeed:
          type: boolean
        message:
          type: string
        status:
          type: string
          enum:
          - RUNNING
          - FINISHED
        resultGeometry:
          $ref: '#/components/schemas/Geometry'
        image:
          $ref: '#/components/schemas/ImageResult'
        cost:
          type: number
          format: double
    ImageParameter:
      type: object
      properties:
        bounds:
          $ref: '#/components/schemas/Rectangle2D'
        viewer:
          $ref: '#/components/schemas/Rectangle'
        center:
          $ref: '#/components/schemas/Point2D'
        scale:
          type: number
          format: double
        prjCoordSys:
          $ref: '#/components/schemas/PrjCoordSys'
        style:
          $ref: '#/components/schemas/Style'
    ImageResult:
      type: object
      properties:
        imageParameter:
          $ref: '#/components/schemas/ImageParameter'
        imageURL:
          type: string
        imageData:
          type: array
          items:
            type: string
            format: byte
    Point:
      type: object
      properties:
        x:
          type: integer
          format: int32
        "y":
          type: integer
          format: int32
    Rectangle:
      type: object
      properties:
        leftTop:
          $ref: '#/components/schemas/Point'
        rightBottom:
          $ref: '#/components/schemas/Point'
        valid:
          type: boolean
        left:
          type: integer
          format: int32
        right:
          type: integer
          format: int32
        bottom:
          type: integer
          format: int32
        width:
          type: integer
          format: int32
        height:
          type: integer
          format: int32
        top:
          type: integer
          format: int32
        center:
          $ref: '#/components/schemas/Point'
    GridExpressionPostParameter:
      type: object
      properties:
        expression:
          type: string
        extractRegion:
          $ref: '#/components/schemas/Geometry'
        isZip:
          type: boolean
        ignoreNoValue:
          type: boolean
        targetDatasource:
          type: string
        resultGridName:
          type: string
        deleteExistResultDataset:
          type: boolean
    DatasetBorderPostParameter:
      type: object
      properties:
        filterQueryParameter:
          $ref: '#/components/schemas/QueryParameter'
        datasetFields:
          type: array
          items:
            type: string
        borderType:
          type: string
        dataReturnOption:
          $ref: '#/components/schemas/DataReturnOption'
        returnStream:
          type: boolean
    DatasetExtractVector3DPostParameter:
      type: object
      properties:
        datasetFilter:
          $ref: '#/components/schemas/QueryParameter'
        datasetFields:
          type: array
          items:
            type: string
        sceneName:
          type: string
        layerName:
          type: string
        interpolationDistance:
          type: number
          format: double
        dataReturnOption:
          $ref: '#/components/schemas/DataReturnOption'
        returnStream:
          type: boolean
    DatasetShadowVolumePostParameter:
      type: object
      properties:
        shadowLightType:
          type: string
        year:
          type: integer
          format: int32
        month:
          type: integer
          format: int32
        day:
          type: integer
          format: int32
        hour:
          type: integer
          format: int32
        minute:
          type: integer
          format: int32
        second:
          type: integer
          format: int32
        timeZone:
          type: integer
          format: int32
        viewerPosition:
          $ref: '#/components/schemas/Point3D'
    DatasetSpatialAnalyst3DPostParameter:
      type: object
      properties:
        sourceDatasetFilter:
          $ref: '#/components/schemas/QueryParameter'
        sourceDatasetFields:
          type: array
          items:
            type: string
        operateDataset:
          type: string
        operateDatasetFilter:
          $ref: '#/components/schemas/QueryParameter'
        operateDatasetFields:
          type: array
          items:
            type: string
        operateRegion:
          $ref: '#/components/schemas/Geometry'
        dataReturnOption:
          $ref: '#/components/schemas/DataReturnOption'
        shadowSetting:
          $ref: '#/components/schemas/DatasetShadowVolumePostParameter'
        sunlightSetting:
          $ref: '#/components/schemas/DatasetSunlightPostParameter'
        regions:
          type: array
          items:
            $ref: '#/components/schemas/Geometry3D'
        queryDatasets:
          type: array
          items:
            type: string
        isLonlat:
          type: boolean
        returnStream:
          type: boolean
    DatasetSunlightPostParameter:
      type: object
      properties:
        startMonth:
          type: integer
          format: int32
        startDay:
          type: integer
          format: int32
        startHour:
          type: integer
          format: int32
        startMinute:
          type: integer
          format: int32
        startSecond:
          type: integer
          format: int32
        endMonth:
          type: integer
          format: int32
        endDay:
          type: integer
          format: int32
        endHour:
          type: integer
          format: int32
        endMinute:
          type: integer
          format: int32
        endSecond:
          type: integer
          format: int32
        segemetThreshold:
          type: number
          format: double
        timeInterval:
          type: integer
          format: int32
        keys:
          type: array
          items:
            type: number
            format: double
        colors:
          type: array
          items:
            $ref: '#/components/schemas/Color'
        queryDatasets:
          type: array
          items:
            type: string
        isLonlat:
          type: boolean
        timeZone:
          type: integer
          format: int32
        distanceThreshold:
          type: number
          format: double
    GeoRelationParameter:
      type: object
      properties:
        sourceFilter:
          $ref: '#/components/schemas/QueryParameter'
        referenceFilter:
          $ref: '#/components/schemas/QueryParameter'
        spatialRelationType:
          type: string
          enum:
          - CONTAIN
          - INTERSECT
          - WITHIN
        isBorderInside:
          type: boolean
        returnFeature:
          type: boolean
        returnGeoRelatedOnly:
          type: boolean
        startRecord:
          type: integer
          format: int32
        expectCount:
          type: integer
          format: int32
    GeoRelationResult:
      type: object
      properties:
        source:
          type: object
        count:
          type: integer
          format: int32
        result:
          type: array
          items:
            type: object
    DatasetInfo:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        prjCoordSys:
          $ref: '#/components/schemas/PrjCoordSys'
        isReadOnly:
          type: boolean
        tableName:
          type: string
        encodeType:
          type: string
          enum:
          - BYTE
          - DCT
          - INT16
          - INT24
          - INT32
          - LZW
          - NONE
          - PNG
          - SGL
        type:
          type: string
          enum:
          - UNDEFINED
          - POINT
          - LINE
          - REGION
          - TEXT
          - NETWORK
          - GRID
          - IMAGE
          - CAD
          - LINEM
          - TABULAR
          - NETWORKPOINT
          - LINKTABLE
          - WCS
          - WMS
          - POINT3D
          - LINE3D
          - REGION3D
          - NETWORK3D
          - MODEL
          - POINTEPS
          - LINEEPS
          - REGIONEPS
          - TEXTEPS
          - VECTORCOLLECTION
          - MOSAIC
          - VOLUME
          - VIDEO
        dataSourceName:
          type: string
        bounds:
          $ref: '#/components/schemas/Rectangle2D'
        datasourceConnectionInfo:
          $ref: '#/components/schemas/DatasourceConnectionInfo'
        schema:
          type: string
    DatasetResourceContent:
      type: object
      properties:
        name:
          type: string
        path:
          type: string
        datasetInfo:
          $ref: '#/components/schemas/DatasetInfo'
        childResourceInfos:
          type: array
          items:
            $ref: '#/components/schemas/ChildResourceInfo'
    InterpolationCressmanPostParameter:
      type: object
      properties:
        filterQueryParameter:
          $ref: '#/components/schemas/QueryParameter'
        zValueFieldName:
          type: string
        zValueScale:
          type: number
          format: double
        outputDatasourceName:
          type: string
        outputDatasetName:
          type: string
        pixelFormat:
          type: string
          enum:
          - BIT8
          - BIT16
          - BIT32
          - BIT64
          - DOUBLE
          - SINGLE
          - UBIT1
          - UBIT4
          - UBIT8
          - UBIT16
          - RGB
          - RGBA
          - UBIT32
          - UNKONOWN
        bounds:
          $ref: '#/components/schemas/Rectangle2D'
        resolution:
          type: number
          format: double
        searchMode:
          type: string
          enum:
          - KDTREE_FIXED_COUNT
          - KDTREE_FIXED_RADIUS
          - NONE
          - QUADTREE
        searchRadius:
          type: number
          format: double
        expectedCount:
          type: integer
          format: int32
        maxPointCountForInterpolation:
          type: integer
          format: int32
        maxPointCountInNode:
          type: integer
          format: int32
        inputPoints:
          type: array
          items:
            $ref: '#/components/schemas/Point3D'
        clipParam:
          $ref: '#/components/schemas/ClipParameter'
        maxIterationCount:
          type: integer
          format: int32
        approximation:
          type: number
          format: double
    DatasetExtractPostParameter:
      type: object
      properties:
        extractParameter:
          $ref: '#/components/schemas/ExtractParameter'
        resultSetting:
          $ref: '#/components/schemas/DataReturnOption'
        filterQueryParameter:
          $ref: '#/components/schemas/QueryParameter'
        zValueFieldName:
          type: string
        resolution:
          type: number
          format: double
    PointDatasetExtractPostParameter:
      type: object
      properties:
        extractParameter:
          $ref: '#/components/schemas/ExtractParameter'
        resultSetting:
          $ref: '#/components/schemas/DataReturnOption'
        filterQueryParameter:
          $ref: '#/components/schemas/QueryParameter'
    GenerateSpatialDataPostParameter:
      type: object
      properties:
        routeIDField:
          type: string
        eventTable:
          type: string
        eventRouteIDField:
          type: string
        measureField:
          type: string
        measureStartField:
          type: string
        measureEndField:
          type: string
        measureOffsetField:
          type: string
        errorInfoField:
          type: string
        retainedFields:
          type: array
          items:
            type: string
        dataReturnOption:
          $ref: '#/components/schemas/DataReturnOption'
        attributeFilter:
          type: string
    DatasetClipPostParameter:
      type: object
      properties:
        filterQueryParameter:
          $ref: '#/components/schemas/QueryParameter'
        datasetFields:
          type: array
          items:
            type: string
        clipRegions:
          type: array
          items:
            $ref: '#/components/schemas/Geometry'
        clipType:
          type: string
        constraintType:
          type: string
        dataReturnOption:
          $ref: '#/components/schemas/DataReturnOption'
    DatasetOverlayPostParameter:
      type: object
      properties:
        sourceDatasetFilter:
          $ref: '#/components/schemas/QueryParameter'
        sourceDatasetFields:
          type: array
          items:
            type: string
        operateDataset:
          type: string
        operateDatasetFilter:
          $ref: '#/components/schemas/QueryParameter'
        operateDatasetFields:
          type: array
          items:
            type: string
        operateRegions:
          type: array
          items:
            $ref: '#/components/schemas/Geometry'
        operation:
          type: string
        dataReturnOption:
          $ref: '#/components/schemas/DataReturnOption'
        tolerance:
          type: number
          format: double
        supportOverlapInLayer:
          type: boolean
    PhysiognomyPostParameter:
      type: object
      properties:
        extractRegion:
          $ref: '#/components/schemas/Geometry'
        targetDatasource:
          type: string
        resultGridName:
          type: string
        deleteExistResultDataset:
          type: boolean
    DatasetSpatialQuery3DPostParameter:
      type: object
      properties:
        sourceDatasetFilter:
          $ref: '#/components/schemas/QueryParameter'
        sourceDatasetFields:
          type: array
          items:
            type: string
        operateDataset:
          type: string
        operateDatasetFilter:
          $ref: '#/components/schemas/QueryParameter'
        operateDatasetFields:
          type: array
          items:
            type: string
        operateRegion:
          $ref: '#/components/schemas/Geometry'
        bottomAltitude:
          type: number
          format: double
        extendedHeight:
          type: number
          format: double
        dataReturnOption:
          $ref: '#/components/schemas/DataReturnOption'
        positionMode:
          type: string
    TerrainAnalystSetting:
      type: object
      properties:
        bounds:
          $ref: '#/components/schemas/Rectangle2D'
        boundsType:
          type: string
          enum:
          - CUSTOM
          - INTERSECTION
          - UNION
        cellSize:
          type: number
          format: double
        cellSizeType:
          type: string
          enum:
          - CUSTOM
          - MAX
          - MIN
    TerrainAspectPostParameter:
      type: object
      properties:
        terrainAnalystSetting:
          $ref: '#/components/schemas/TerrainAnalystSetting'
        resultDatasetName:
          type: string
        deleteExistResultDataset:
          type: boolean
    PlumbProfilePostParameter:
      type: object
      properties:
        startPoint:
          $ref: '#/components/schemas/Point2D'
        endPoint:
          $ref: '#/components/schemas/Point2D'
        modelDatasets:
          type: array
          items:
            type: string
        surfaceGrid:
          type: string
        returnDatasetOrRecordset:
          type: boolean
    ProfileResult:
      type: object
      properties:
        succeed:
          type: boolean
        message:
          type: string
        status:
          type: string
          enum:
          - RUNNING
          - FINISHED
        profile:
          type: array
          items:
            $ref: '#/components/schemas/Geometry'
        xyCoordinate:
          type: array
          items:
            $ref: '#/components/schemas/Geometry'
    ProfilePostParameter:
      type: object
      properties:
        lineDataset:
          type: string
        line:
          $ref: '#/components/schemas/Geometry'
        resampleTolerance:
          type: number
          format: double
    TerrainCurvaturePostParameter:
      type: object
      properties:
        deleteExistResultDataset:
          type: boolean
        averageCurvatureName:
          type: string
        profileCurvatureName:
          type: string
        planCurvatureName:
          type: string
        zFactor:
          type: number
          format: double
    CutFillPostParameter:
      type: object
      properties:
        cutFillType:
          type: string
          enum:
          - GRID
          - LINE3DANDBUFFERRADIUS
          - REGIONANDALTITUDE
          - REGION3D
        afterCutFillDataset:
          type: string
        line3D:
          $ref: '#/components/schemas/Geometry3D'
        bufferRadius:
          type: number
          format: double
        isRoundHead:
          type: boolean
        region:
          $ref: '#/components/schemas/Geometry'
        baseAltitude:
          type: number
          format: double
        resultDataset:
          type: string
        deleteExistResultDataset:
          type: boolean
        buildPyramid:
          type: boolean
        region3D:
          $ref: '#/components/schemas/Geometry3D'
    CutFillResult:
      type: object
      properties:
        succeed:
          type: boolean
        message:
          type: string
        status:
          type: string
          enum:
          - RUNNING
          - FINISHED
        dataset:
          type: string
        cutArea:
          type: number
          format: double
        cutVolume:
          type: number
          format: double
        fillArea:
          type: number
          format: double
        fillVolume:
          type: number
          format: double
        remainderArea:
          type: number
          format: double
    FloodPostParameter:
      type: object
      properties:
        height:
          type: number
          format: double
        region:
          $ref: '#/components/schemas/Geometry'
    GeometrySpatialAnalystResult:
      type: object
      properties:
        succeed:
          type: boolean
        message:
          type: string
        status:
          type: string
          enum:
          - RUNNING
          - FINISHED
        resultGeometry:
          $ref: '#/components/schemas/Geometry'
        image:
          $ref: '#/components/schemas/ImageResult'
    ReverseCutFillPostParameter:
      type: object
      properties:
        volume:
          type: number
          format: double
        isFill:
          type: boolean
        validRegion:
          $ref: '#/components/schemas/Geometry'
    TerrainSlopePostParameter:
      type: object
      properties:
        terrainAnalystSetting:
          $ref: '#/components/schemas/TerrainAnalystSetting'
        resultDatasetName:
          type: string
        deleteExistResultDataset:
          type: boolean
        slopeType:
          type: string
          enum:
          - DEGREE
          - PERCENT
          - RADIAN
        zFactor:
          type: number
          format: double
